import { DoCheck, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { BbFormControl } from '../form-control/form-control.component';
import { NgControl } from '@angular/forms';
export declare class BbSelect implements OnInit, DoCheck, OnDestroy {
    protected _elementRef: ElementRef;
    protected _ngControl: NgControl;
    protected _formControl: BbFormControl;
    protected hasArrow: boolean;
    private _subscription;
    constructor(_elementRef: ElementRef, _ngControl: NgControl, _formControl: BbFormControl);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngOnDestroy(): void;
    focus(): any;
    setFocus(hasFocus: boolean): void;
    get id(): string;
    get disabled(): boolean;
    set disabled(newValue: boolean);
    private _disabled;
    get required(): boolean;
    set required(newValue: boolean);
    private _required;
}
export declare class BbInput extends BbSelect {
    protected _elementRef: ElementRef;
    protected _ngControl: NgControl;
    protected _formControl: BbFormControl;
    protected hasArrow: boolean;
    constructor(_elementRef: ElementRef, _ngControl: NgControl, _formControl: BbFormControl);
    get readonly(): boolean;
    set readonly(newValue: boolean);
    private _readonly;
}
