import { Observable } from 'rxjs';
declare type ExtractObservableType<A> = A extends Observable<infer B> ? B : never;
export declare function combineLatestMap<TIn extends {
    [key: string]: Observable<any>;
}, TOut extends {
    [K in keyof TIn]: ExtractObservableType<TIn[K]>;
}>(observables: TIn): Observable<TOut>;
export {};
