import { StorageAttributes } from './attributes.interface';
export interface StorageStrategy {
    get<T = any>(token: string): T | undefined;
    set<T = any>(token: string, value: T): void;
    set<T = any>(token: string, value: T, attributes?: StorageAttributes): void;
    remove(token: string): void;
    remove(token: string, attributes?: StorageAttributes): void;
    clear(): void;
    clear(attributes?: StorageAttributes): void;
    isSupported(): boolean;
}
