import { HttpErrorResponse } from '@angular/common/http';
export declare class ApiError implements Error {
    readonly name = "ApiError";
    readonly message: string;
    readonly status: number;
    readonly raw: any | null;
    constructor(error: HttpErrorResponse);
    get<T = any>(token: string, delimiter?: string): T;
    has(token: string, delimiter?: string): boolean;
    includes<T = any>(token: string, value: T): boolean;
}
