import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Permissions } from '../permissions.service';
export declare class BbPermission implements OnInit, OnDestroy {
    private _permissions;
    private _templateRef;
    private _viewContainerRef;
    private _permission$;
    private _valid;
    private _elseTemplateRef;
    private _thenViewRef;
    private _elseViewRef;
    set bbPermission(value: string | string[]);
    set bbPermissionElse(templateRef: TemplateRef<any> | null);
    private _subscription;
    constructor(_permissions: Permissions, _templateRef: TemplateRef<any>, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private updateView;
    private getAllowedPermissions;
    private assertTemplate;
}
