(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/animations'), require('rxjs'), require('@bravobit/bb-foundation'), require('@angular/forms'), require('rxjs/operators'), require('@angular/common'), require('@bravobit/bb-foundation/localize'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('@bravobit/bb-foundation/elements', ['exports', '@angular/core', '@angular/animations', 'rxjs', '@bravobit/bb-foundation', '@angular/forms', 'rxjs/operators', '@angular/common', '@bravobit/bb-foundation/localize', '@angular/platform-browser'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.bravobit = global.bravobit || {}, global.bravobit['bb-foundation'] = global.bravobit['bb-foundation'] || {}, global.bravobit['bb-foundation'].elements = {}), global.ng.core, global.ng.animations, global.rxjs, global.bravobit['bb-foundation'], global.ng.forms, global.rxjs.operators, global.ng.common, global.bravobit['bb-foundation'].localize, global.ng.platformBrowser));
}(this, (function (exports, core, animations, rxjs, bbFoundation, forms, operators, common, localize, platformBrowser) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var BbDropdown = /** @class */ (function () {
        function BbDropdown(_elementRef) {
            this._elementRef = _elementRef;
            // State.
            this.visible$ = new rxjs.BehaviorSubject(false);
        }
        BbDropdown.prototype.toggle = function () {
            return this.visible$.next(!this.visible$.getValue());
        };
        BbDropdown.prototype.close = function () {
            return this.visible$.next(false);
        };
        BbDropdown.prototype.onDocumentClick = function (target) {
            var _a, _b;
            if (!target) {
                return;
            }
            if ((_b = (_a = this._elementRef) === null || _a === void 0 ? void 0 : _a.nativeElement) === null || _b === void 0 ? void 0 : _b.contains(target)) {
                return;
            }
            return this.close();
        };
        return BbDropdown;
    }());
    BbDropdown.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-dropdown',
                    template: "<button (click)=\"toggle()\"\n        [class.opened]=\"visible$ | async\"\n        type=\"button\">\n    <ng-content></ng-content>\n</button>\n\n<div *ngIf=\"visible$ | async\"\n     [@dropdownMenuAnimation]=\"true\"\n     class=\"bb-dropdown-menu\"\n     role=\"list\">\n    <ng-content select=\"[bbDropdownItem], hr\"></ng-content>\n</div>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    host: { 'class': 'bb-dropdown' },
                    preserveWhitespaces: false,
                    animations: [
                        animations.trigger('dropdownMenuAnimation', [
                            animations.transition(':enter', [
                                // 1. Set the initial state.
                                animations.style({ opacity: 0, transform: 'scale(0.9)' }),
                                // 2. Start the animation to show the item.
                                animations.animate('80ms cubic-bezier(0, 0, .2, 1)', animations.style({ opacity: 1, transform: 'scale(1)' }))
                            ]),
                            animations.transition(':leave', [
                                // 1. Set the initial state.
                                animations.style({ opacity: 1, transform: 'scale(1)' }),
                                // 2. Start the animation to hide the item.
                                animations.animate('80ms cubic-bezier(0, 0, .2, 1)', animations.style({ opacity: 0, transform: 'scale(0.9)' }))
                            ])
                        ])
                    ],
                    styles: [".bb-dropdown{display:inline-block;position:relative}.bb-dropdown.right>.bb-dropdown-menu{left:auto;right:0;transform-origin:top right}.bb-dropdown-menu{background-color:#fff;border:1px solid #ccc;border-radius:4px;box-shadow:0 0 6px 0 rgba(0,0,0,.1);display:block;left:0;list-style-type:none;margin:10px 0 0;padding:0;position:absolute;top:100%;transform-origin:top left;z-index:10}.bb-dropdown-menu:after{border-color:transparent transparent #d9d9d9;border-style:solid;border-width:0 10px 5px;content:\"\";height:0;position:absolute;right:5px;top:-5px;width:0}.bb-dropdown-menu>hr{background-color:#ccc;border:none;height:1px;margin:0}.bb-dropdown-item{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;background-color:transparent;border:none;color:#676767!important;cursor:pointer;display:block;font-weight:500;line-height:1;padding:12px 20px;text-align:left;text-decoration:none;transition:background-color .25s cubic-bezier(0,0,.2,1);user-select:none;white-space:nowrap;width:100%}.bb-dropdown-item:first-child{border-top-left-radius:4px;border-top-right-radius:4px}.bb-dropdown-item:hover{background-color:#f6f6f6}.bb-dropdown-item:focus{box-shadow:0 0 0 3px rgba(220,224,233,.5)}.bb-dropdown-item:active{background-color:#f0f0f0}"]
                },] }
    ];
    BbDropdown.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    BbDropdown.propDecorators = {
        onDocumentClick: [{ type: core.HostListener, args: ['document:click', ['$event.target'],] }]
    };
    var BbDropdownItem = /** @class */ (function () {
        function BbDropdownItem(_parent) {
            this._parent = _parent;
            // Inputs.
            this.closeOnClick = true;
        }
        BbDropdownItem.prototype.onClick = function () {
            var _a;
            if (!this.closeOnClick) {
                return;
            }
            (_a = this._parent) === null || _a === void 0 ? void 0 : _a.close();
        };
        return BbDropdownItem;
    }());
    BbDropdownItem.decorators = [
        { type: core.Directive, args: [{
                    selector: '[bbDropdownItem]',
                    host: {
                        'class': 'bb-dropdown-item'
                    }
                },] }
    ];
    BbDropdownItem.ctorParameters = function () { return [
        { type: BbDropdown, decorators: [{ type: core.Optional }, { type: core.Host }] }
    ]; };
    BbDropdownItem.propDecorators = {
        closeOnClick: [{ type: core.Input }],
        onClick: [{ type: core.HostListener, args: ['click',] }]
    };

    var ELEMENTS_ICONS = new core.InjectionToken('elements_icons');
    var ELEMENTS_ERRORS = new core.InjectionToken('elements_errors');

    var BbImagePickerBase = /** @class */ (function () {
        function BbImagePickerBase() {
        }
        return BbImagePickerBase;
    }());
    var BbImagePickerMixinBase = bbFoundation.mixinDisabled(bbFoundation.mixinGrouped(BbImagePickerBase));
    var BbImagePicker = /** @class */ (function (_super) {
        __extends(BbImagePicker, _super);
        function BbImagePicker(_converter) {
            var _this = _super.call(this) || this;
            _this._converter = _converter;
            // Inputs.
            _this.label = null;
            _this.placeholder = null;
            _this.styleDimensions = null;
            _this.cropDimensions = null;
            // Form.
            _this._value$ = new rxjs.BehaviorSubject(null);
            _this.valueChange = new core.EventEmitter();
            _this.onTouchedCallback = function () {
            };
            _this.onChangeCallback = function () {
            };
            return _this;
        }
        Object.defineProperty(BbImagePicker.prototype, "value", {
            get: function () {
                return this._value$.getValue();
            },
            set: function (value) {
                this._value$.next(value);
                this.valueChange.emit(value);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbImagePicker.prototype, "image", {
            get: function () {
                var _this = this;
                return this._value$.pipe(operators.map(function (value) { return value || _this.placeholder; }), operators.map(function (value) { return value ? "url(" + value + ")" : null; }));
            },
            enumerable: false,
            configurable: true
        });
        BbImagePicker.prototype.onFileChange = function (event) {
            return __awaiter(this, void 0, void 0, function () {
                var file, _a, error_1;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            file = event.target.files[0];
                            // Check if the file exists.
                            if (!file || this.disabled) {
                                return [2 /*return*/];
                            }
                            _b.label = 1;
                        case 1:
                            _b.trys.push([1, 3, , 4]);
                            _a = this;
                            return [4 /*yield*/, this._converter.toDataUri(file, this.cropDimensions)];
                        case 2:
                            _a.value = _b.sent();
                            return [3 /*break*/, 4];
                        case 3:
                            error_1 = _b.sent();
                            this.value = null;
                            return [3 /*break*/, 4];
                        case 4:
                            this.onChangeCallback(this.value);
                            if (this.fileInput && this.fileInput.nativeElement) {
                                this.fileInput.nativeElement.value = '';
                            }
                            return [2 /*return*/];
                    }
                });
            });
        };
        BbImagePicker.prototype.openFilePicker = function () {
            if (this.disabled) {
                return;
            }
            // Execute a click on the file input.
            this.fileInput
                && this.fileInput.nativeElement
                && this.fileInput.nativeElement.click
                && this.fileInput.nativeElement.click();
        };
        BbImagePicker.prototype.writeValue = function (value) {
            this.value = value;
        };
        BbImagePicker.prototype.registerOnChange = function (method) {
            this.onChangeCallback = method;
        };
        BbImagePicker.prototype.registerOnTouched = function (method) {
            this.onTouchedCallback = method;
        };
        BbImagePicker.prototype.setDisabledState = function (isDisabled) {
            this.disabled = isDisabled;
        };
        return BbImagePicker;
    }(BbImagePickerMixinBase));
    BbImagePicker.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-image-picker',
                    template: "<!-- The input that can open the file picker. -->\n<input #fileInput\n       (change)=\"onFileChange($event)\"\n       class=\"bb-image-picker-input\"\n       type=\"file\"\n       tabindex=\"-1\"\n       accept=\"image/*\">\n\n<span [style.width]=\"styleDimensions?.width || '100%'\"\n      [style.height]=\"styleDimensions?.height || '215px'\"\n      [style.background-image]=\"image | async\"\n      class=\"bb-image-input-image\">\n    </span>\n\n<button *ngIf=\"label as labelText\"\n        (click)=\"openFilePicker()\"\n        bb-button\n        class=\"bb-image-input-button\"\n        type=\"button\">\n    {{ labelText }}\n</button>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'bb-image-picker',
                        '[class.disabled]': 'disabled',
                        '[class.grouped]': 'grouped'
                    },
                    inputs: ['grouped', 'disabled'],
                    providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: core.forwardRef(function () { return BbImagePicker; }), multi: true }],
                    preserveWhitespaces: false,
                    styles: [".bb-image-picker{align-items:center;display:flex;flex-direction:column}.bb-image-picker.circle>.bb-image-input-image{border-radius:50%}.bb-image-picker.grouped{margin-bottom:20px}.bb-image-picker.disabled{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;cursor:default;opacity:.5;pointer-events:none;user-select:none}.bb-image-picker-input{height:.1px;opacity:0;overflow:hidden;position:absolute;width:.1px;z-index:-1}.bb-image-input-image{align-items:center;background:rgba(0,0,0,.2) url(data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7) 50%/cover no-repeat;border-radius:4px;cursor:default;display:flex;justify-content:center;position:relative}.bb-image-input-button{margin-top:10px}"]
                },] }
    ];
    BbImagePicker.ctorParameters = function () { return [
        { type: bbFoundation.ImageConverter }
    ]; };
    BbImagePicker.propDecorators = {
        fileInput: [{ type: core.ViewChild, args: ['fileInput', { static: true },] }],
        label: [{ type: core.Input }],
        placeholder: [{ type: core.Input }],
        styleDimensions: [{ type: core.Input }],
        cropDimensions: [{ type: core.Input }],
        value: [{ type: core.Input }],
        valueChange: [{ type: core.Output }]
    };

    var nextUniqueId = 0;
    var BbFormControlBase = /** @class */ (function () {
        function BbFormControlBase() {
        }
        return BbFormControlBase;
    }());
    var BbFormControlMixinBase = bbFoundation.mixinDisabled(bbFoundation.mixinFocused(bbFoundation.mixinReadonly(bbFoundation.mixinGrouped(bbFoundation.mixinRequired(bbFoundation.mixinError(bbFoundation.mixinHideErrors(BbFormControlBase)))))));
    var BbFormControl = /** @class */ (function (_super) {
        __extends(BbFormControl, _super);
        function BbFormControl() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            // Inputs.
            _this.label = null;
            _this.hint = null;
            // Data.
            _this.arrow = false;
            // Data.
            _this.labelId = "bb-form-control-" + nextUniqueId++;
            return _this;
        }
        BbFormControl.prototype.onErrorChange = function (error) {
            this.error = !!error;
        };
        return BbFormControl;
    }(BbFormControlMixinBase));
    BbFormControl.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-form-control',
                    template: "<!-- Label of the form control. -->\n<label *ngIf=\"label as labelContent\"\n       [attr.for]=\"labelId\"\n       class=\"bb-form-control-label\">\n    <ng-template [bbTemplate]=\"labelContent\">\n        {{ labelContent }}\n    </ng-template>\n</label>\n\n<!-- The input with the addons. -->\n<div class=\"bb-form-control-container\">\n    <ng-content select=\"[bbPrefix]\"></ng-content>\n    <ng-content select=\"[bbInput]\"></ng-content>\n    <ng-content select=\"[bbSuffix]\"></ng-content>\n</div>\n\n<!-- The error component. -->\n<bb-form-error *ngIf=\"!hideErrors\"\n               [control]=\"ngControl\"\n               (errorChange)=\"onErrorChange($event)\">\n</bb-form-error>\n\n<!-- The form control hint. -->\n<p *ngIf=\"hint as hintContent\"\n   class=\"bb-form-control-hint\">\n    <ng-template [bbTemplate]=\"hintContent\">\n        {{ hintContent }}\n    </ng-template>\n</p>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'bb-form-control',
                        '[class.readonly]': 'readonly',
                        '[class.required]': 'required',
                        '[class.disabled]': 'disabled',
                        '[class.focused]': 'focused',
                        '[class.grouped]': 'grouped',
                        '[class.arrow]': 'arrow',
                        '[class.error]': 'error'
                    },
                    inputs: ['grouped', 'hideErrors'],
                    preserveWhitespaces: false,
                    styles: [".bb-form-control{color:#2d3c4d;display:block}.bb-form-control>.bb-form-control-container>.bb-prefix,.bb-form-control>.bb-form-control-container>.bb-suffix{color:#b4b4b4;margin:0 8px;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control.grouped{margin-bottom:20px}.bb-form-control.small{max-width:240px}.bb-form-control.medium{max-width:480px}.bb-form-control.large{max-width:720px}.bb-form-control.required>.bb-form-control-label:after{color:#c23934;content:\"*\";font-size:12px;line-height:1.5}.bb-form-control.disabled>.bb-form-control-container{background-color:hsla(0,0%,80%,.64);cursor:default;pointer-events:none}.bb-form-control.disabled>.bb-form-control-container>input,.bb-form-control.disabled>.bb-form-control-container>select,.bb-form-control.disabled>.bb-form-control-container>textarea{color:#aaa}.bb-form-control.readonly>.bb-form-control-container{border:1px dotted #bdc4c9;cursor:default}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container{background-color:#fff;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(0,123,255,.2)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::-moz-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::-moz-placeholder{-moz-transition:color .3s cubic-bezier(0,0,.2,1);color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea:-ms-input-placeholder{-ms-transition:color .3s cubic-bezier(0,0,.2,1);color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>input::placeholder,.bb-form-control:not(.disabled):not(.readonly).focused>.bb-form-control-container>textarea::placeholder{color:#b4b4b4;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control.error>.bb-form-control-label{color:#c23934}.bb-form-control.error>.bb-form-control-hint{display:none}.bb-form-control.error>.bb-form-control-container{background-color:rgba(194,57,52,.25)!important;border:1px solid #962b26;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>.bb-prefix,.bb-form-control.error>.bb-form-control-container>.bb-suffix{color:#c23934}.bb-form-control.error>.bb-form-control-container>input::-moz-placeholder,.bb-form-control.error>.bb-form-control-container>textarea::-moz-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control.error>.bb-form-control-container>textarea:-ms-input-placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.error>.bb-form-control-container>input::placeholder,.bb-form-control.error>.bb-form-control-container>textarea::placeholder{color:rgba(194,57,52,.4)!important}.bb-form-control.arrow>.bb-form-control-container:after{background-image:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAGCAYAAAAYLBS/AAAACXBIWXMAAAsSAAALEgHS3X78AAAAWUlEQVQYlY3QsQ2DMAAEwMMTsAkrZInvWY3WXiIjJJtkA1OBRCIRf/nSffFTrXXGE4uxbCXJBw+8R0CStcAg3JKsUI7mDzzBBd3AC4Cp9/4z21o7znl9A9gBAf4fpjLTwkUAAAAASUVORK5CYII=);background-position:calc(100% - 8px) 50%;background-repeat:no-repeat;bottom:0;content:\"\";display:flex;height:36px;min-width:20px;pointer-events:none;position:absolute;right:0;top:0;width:20px}.bb-form-control-container{align-items:center;background-color:#fff8ff;border:1px solid #b6bbc1;border-radius:3px;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1);display:flex;overflow:hidden;position:relative;transition-duration:.25s;transition-property:background-color,box-shadow;transition-timing-function:cubic-bezier(0,0,.2,1);width:100%}.bb-form-control-container>input::-moz-placeholder,.bb-form-control-container>textarea::-moz-placeholder{-moz-transition:color .3s cubic-bezier(0,0,.2,1);color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input:-ms-input-placeholder,.bb-form-control-container>textarea:-ms-input-placeholder{-ms-transition:color .3s cubic-bezier(0,0,.2,1);color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input::placeholder,.bb-form-control-container>textarea::placeholder{color:#d2d2d2;transition:color .3s cubic-bezier(0,0,.2,1)}.bb-form-control-container>input,.bb-form-control-container>select,.bb-form-control-container>textarea{-moz-appearance:none;-webkit-appearance:none;appearance:none;background-color:transparent;border:none;color:#3d464d;font-size:16px;margin:0;width:100%}.bb-form-control-container>input,.bb-form-control-container>select{height:36px;padding:0 8px}.bb-form-control-container>select{padding-right:28px}.bb-form-control-container>select>::-ms-expand{display:none}.bb-form-control-container>input::-ms-clear,.bb-form-control-container>input::-ms-reveal{display:none;height:0;width:0}.bb-form-control-container>input::-webkit-search-cancel-button,.bb-form-control-container>input::-webkit-search-decoration,.bb-form-control-container>input::-webkit-search-results-button,.bb-form-control-container>input::-webkit-search-results-decoration{display:none}.bb-form-control-container>textarea{padding:8px;resize:none}.bb-form-control-label{color:#000;display:block;margin-bottom:4px;position:relative;transition:color 30ms cubic-bezier(0,0,.2,1)}.bb-form-control-error,.bb-form-control-hint{display:block;font-size:13px;margin-top:4px}.bb-form-control-error{color:#c23934}.bb-form-control-hint{color:#738694}"]
                },] }
    ];
    BbFormControl.propDecorators = {
        ngControl: [{ type: core.ContentChild, args: [forms.NgControl,] }],
        label: [{ type: core.Input }],
        hint: [{ type: core.Input }]
    };

    var nextUniqueId$1 = 0;
    var BbFilePickerBase = /** @class */ (function () {
        function BbFilePickerBase() {
        }
        return BbFilePickerBase;
    }());
    var BbFilePickerMixinBase = bbFoundation.mixinRequired(bbFoundation.mixinDisabled(bbFoundation.mixinGrouped(bbFoundation.mixinError(bbFoundation.mixinHideErrors(BbFilePickerBase)))));
    var BbFilePicker = /** @class */ (function (_super) {
        __extends(BbFilePicker, _super);
        function BbFilePicker() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            // Inputs.
            _this.label = null;
            _this.hint = null;
            _this.accept = null;
            _this.showImages = true;
            _this.allowDragging = true;
            // State.
            _this.labelId = "bb-file-picker-" + nextUniqueId$1++;
            _this.hovered = false;
            _this.value$ = new rxjs.BehaviorSubject({});
            _this.valueChange = new core.EventEmitter();
            _this.onTouchedCallback = function () {
            };
            _this.onChangeCallback = function () {
            };
            _this.saveFile = function (files) {
                // Validate the files exist.
                if (!files) {
                    return;
                }
                // Retrieve the first file.
                var file = files[0];
                // Validate the first file exists.
                if (!file) {
                    return;
                }
                // Save the file.
                _this.value = file;
            };
            _this.getFileListFromEvent = function (event) {
                var element = event.target;
                if (!element) {
                    return null;
                }
                return element.files;
            };
            _this.preventDefault = function (event) {
                event.preventDefault();
                event.stopPropagation();
            };
            return _this;
        }
        Object.defineProperty(BbFilePicker.prototype, "value", {
            get: function () {
                var file = this.value$.getValue().file;
                return file;
            },
            set: function (value) {
                this.value$.next({ file: value });
                this.valueChange.emit(value);
            },
            enumerable: false,
            configurable: true
        });
        BbFilePicker.prototype.onDrag = function (event, isHovered) {
            // Validate the input can support drag.
            if (!this.allowDragging || this.disabled) {
                return;
            }
            // Prevent the default event action
            // and start the hovering.
            this.preventDefault(event);
            this.hovered = isHovered;
        };
        BbFilePicker.prototype.onDrop = function (event) {
            // Validate the input can support drag.
            if (!this.allowDragging || this.disabled) {
                return;
            }
            // Prevent the default event action
            // and stop the hovering.
            this.preventDefault(event);
            this.hovered = false;
            // Save the file.
            this.saveFile(event['dataTransfer'].files);
            // Run the on change callback.
            this.onChangeCallback(this.value);
        };
        BbFilePicker.prototype.onButtonPressed = function (file) {
            if (file) {
                this.value = null;
                this.onChangeCallback(this.value);
                return;
            }
            return this.openFilePicker();
        };
        BbFilePicker.prototype.openFilePicker = function () {
            return this.fileInput
                && this.fileInput.nativeElement
                && this.fileInput.nativeElement.click
                && this.fileInput.nativeElement.click();
        };
        BbFilePicker.prototype.onFileChange = function (event) {
            // Validate the input is not disabled.
            if (this.disabled) {
                return;
            }
            // Extract the file from the event.
            var fileList = this.getFileListFromEvent(event);
            // Save the file.
            this.saveFile(fileList);
            // Run the on change callback.
            this.onChangeCallback(this.value);
            // Clear the file input.
            if (this.fileInput && this.fileInput.nativeElement) {
                this.fileInput.nativeElement.value = '';
            }
        };
        BbFilePicker.prototype.writeValue = function (value) {
            this.value = value;
        };
        BbFilePicker.prototype.registerOnChange = function (method) {
            this.onChangeCallback = method;
        };
        BbFilePicker.prototype.registerOnTouched = function (method) {
            this.onTouchedCallback = method;
        };
        BbFilePicker.prototype.setDisabledState = function (isDisabled) {
            this.disabled = isDisabled;
        };
        BbFilePicker.prototype.onErrorChange = function (error) {
            this.error = !!error;
        };
        BbFilePicker.prototype.validate = function (_a) {
            var value = _a.value;
            if (value === null || value === undefined) {
                return null;
            }
            var regexString = (this.accept || '*')
                .replace(/\*/g, '.\*')
                .replace(/,/g, '|');
            var mimeTypeRegex = new RegExp(regexString);
            var isNotValid = (typeof File === 'undefined') || !(value instanceof File) || !mimeTypeRegex.test(value === null || value === void 0 ? void 0 : value.type);
            return isNotValid && {
                invalidFileType: true
            };
        };
        return BbFilePicker;
    }(BbFilePickerMixinBase));
    BbFilePicker.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-file-picker',
                    template: "<!-- The label of the input. -->\n<label *ngIf=\"label as labelContent\"\n       [for]=\"labelId\"\n       class=\"bb-file-picker-label\">\n    <ng-template [bbTemplate]=\"labelContent\">\n        {{ labelContent }}\n    </ng-template>\n</label>\n\n<!-- The input that can open the file picker. -->\n<input #fileInput\n       [accept]=\"accept\"\n       [disabled]=\"disabled\"\n       (change)=\"onFileChange($event)\"\n       class=\"bb-file-picker-input\"\n       type=\"file\"\n       tabindex=\"-1\">\n\n<div *ngIf=\"value$ | async as data\"\n     class=\"bb-file-picker-wrapper\">\n    <!-- The button that accepts files. -->\n    <div class=\"bb-file-picker-container\">\n        <button [class.destructive]=\"!!data?.file\"\n                [class.standalone]=\"!allowDragging\"\n                [disabled]=\"disabled\"\n                [id]=\"labelId\"\n                (click)=\"onButtonPressed(data?.file)\"\n                type=\"button\"\n                class=\"bb-file-picker-button\">\n            <ng-container *ngTemplateOutlet=\"data?.file ? closeIcon : uploadIcon\"></ng-container>\n            {{ (data?.file ? 'file-picker.remove' : 'file-picker.choose') | bbLocalize }}\n        </button>\n        <div *ngIf=\"allowDragging\"\n             class=\"bb-file-picker-zone\">\n            {{ 'file-picker.drop' | bbLocalize }}\n        </div>\n    </div>\n\n    <ng-container *ngIf=\"!!extraTemplate\">\n        <ng-container *ngTemplateOutlet=\"extraTemplate; context: {$implicit: data?.file}\"></ng-container>\n    </ng-container>\n\n    <ng-container *ngIf=\"showImages\">\n        <div *ngIf=\"data?.file | bbFileImage | async as image\"\n             class=\"bb-file-picker-image-container\">\n            <div class=\"bb-file-picker-image-wrapper\">\n                <div [@bbFilePickerImageAnimation]=\"true\"\n                     [style.padding-top.%]=\"image?.aspectRatio * 100\"\n                     [style.background-image]=\"image?.background\"\n                     class=\"bb-file-picker-image\">\n                </div>\n            </div>\n        </div>\n    </ng-container>\n\n    <!-- Extra information of the file. -->\n    <div [class.visible]=\"!!data?.file\"\n         class=\"bb-file-picker-info\">\n        <span *ngIf=\"data?.file?.name as name\">{{ name }}</span>\n        <span *ngIf=\"data?.file?.size as size\">{{ size | bbFileSize }}</span>\n    </div>\n</div>\n\n<bb-form-error *ngIf=\"!hideErrors\"\n               (errorChange)=\"onErrorChange($event)\">\n</bb-form-error>\n\n<!-- The file picker hint. -->\n<p *ngIf=\"hint as hintContent\"\n   class=\"bb-file-picker-hint\">\n    <ng-template [bbTemplate]=\"hintContent\">\n        {{ hintContent }}\n    </ng-template>\n</p>\n\n<!-- Upload icon. -->\n<ng-template #uploadIcon>\n    <svg xmlns=\"http://www.w3.org/2000/svg\"\n         class=\"bb-file-picker-icon\"\n         width=\"24\"\n         height=\"24\">\n        <path fill=\"currentColor\"\n              d=\"M2 12.5C2 9.46 4.46 7 7.5 7H18c2.21 0 4 1.79 4 4s-1.79 4-4 4H9.5a2.5 2.5 0 010-5H17v2H9.41c-.55 0-.55 1 0 1H18c1.1 0 2-.9 2-2s-.9-2-2-2H7.5C5.57 9 4 10.57 4 12.5S5.57 16 7.5 16H17v2H7.5C4.46 18 2 15.54 2 12.5z\"></path>\n        <path fill=\"none\" d=\"M0 0h24v24H0V0z\"></path>\n    </svg>\n</ng-template>\n\n<!-- Close icon. -->\n<ng-template #closeIcon>\n    <svg xmlns=\"http://www.w3.org/2000/svg\"\n         class=\"bb-file-picker-icon\"\n         width=\"24\"\n         height=\"24\">\n        <path fill=\"currentColor\"\n              d=\"M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z\"></path>\n        <path d=\"M0 0h24v24H0z\" fill=\"none\"></path>\n    </svg>\n</ng-template>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(function () { return BbFilePicker; }),
                            multi: true
                        },
                        {
                            provide: forms.NG_VALIDATORS,
                            useExisting: BbFilePicker,
                            multi: true
                        }
                    ],
                    host: {
                        'class': 'bb-file-picker',
                        '[class.required]': 'required',
                        '[class.disabled]': 'disabled',
                        '[class.grouped]': 'grouped',
                        '[class.hovered]': 'hovered',
                        '[class.error]': 'error'
                    },
                    animations: [
                        animations.trigger('bbFilePickerImageAnimation', [
                            animations.transition(':enter', [
                                animations.style({ opacity: 0 }),
                                animations.animate('200ms', animations.style({ opacity: 1 }))
                            ]),
                            animations.transition(':leave', [
                                animations.animate('200ms', animations.style({ opacity: 0 }))
                            ])
                        ])
                    ],
                    inputs: ['disabled', 'hideErrors', 'grouped', 'required'],
                    preserveWhitespaces: false,
                    styles: [".bb-file-picker{display:block}.bb-file-picker.disabled>.bb-file-picker-wrapper{background-color:hsla(0,0%,80%,.64);cursor:default}.bb-file-picker.grouped{margin-bottom:20px}.bb-file-picker.full>.bb-file-picker-wrapper{width:100%}.bb-file-picker:not(.disabled) .bb-file-picker-button{background-color:#fff}.bb-file-picker:not(.disabled).hovered>.bb-file-picker-wrapper,.bb-file-picker:not(.disabled):focus>.bb-file-picker-wrapper{box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(0,123,255,.2)}.bb-file-picker.required>.bb-file-picker-label:after{color:#c23934;content:\"*\";font-size:12px;line-height:1.5}.bb-file-picker.error>.bb-file-picker-label{color:#c23934}.bb-file-picker.error>.bb-file-picker-hint{display:none}.bb-file-picker.error>.bb-file-picker-wrapper{background-color:rgba(194,57,52,.25)!important;border:1px solid #962b26;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(194,57,52,.4)!important}.bb-file-picker.error .bb-file-picker-button{background-color:transparent}.bb-file-picker-wrapper{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;background-color:#fff8ff;border:1px solid #b6bbc1;border-radius:3px;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1);display:inline-flex;flex-direction:column;max-width:100%;transition:box-shadow .2s cubic-bezier(0,0,.2,1);user-select:none}.bb-file-picker-label{color:#000;display:block;margin-bottom:4px;position:relative}.bb-file-picker-input{height:.1px;opacity:0;overflow:hidden;position:absolute;width:.1px;z-index:-1}.bb-file-picker-container{display:inline-flex;min-height:38px}.bb-file-picker-button{-moz-appearance:none;-webkit-appearance:none;align-items:center;appearance:none;background-color:hsla(0,0%,100%,.5);border:none;border-bottom-left-radius:3px;border-right:1px solid #b6bbc1;border-top-left-radius:3px;color:#2196f3;cursor:pointer;display:inline-flex;font-weight:500;line-height:1;margin:0;padding:0 12px;transition:box-shadow .2s cubic-bezier(0,0,.2,1);white-space:nowrap;z-index:1}.bb-file-picker-button:focus{box-shadow:0 0 0 3px rgba(0,123,255,.2)}.bb-file-picker-button:disabled{cursor:default}.bb-file-picker-button.destructive{color:#f55656}.bb-file-picker-button.standalone{border-bottom-right-radius:3px;border-right:none;border-top-right-radius:3px;width:100%}.bb-file-picker-icon{margin-right:4px}.bb-file-picker-zone{flex:1;font-size:14px;justify-content:center;line-height:18px;padding:8px 12px}.bb-file-picker-info,.bb-file-picker-zone{align-items:center;color:#848f99;display:inline-flex}.bb-file-picker-info{background-color:#fff8ff;border-top:0 solid #b6bbc1;height:0;line-height:36px;overflow:hidden;padding:0 12px;transition:height .2s cubic-bezier(0,0,.2,1)}.bb-file-picker-info.visible{border-top-width:1px;height:38px}.bb-file-picker-info>span{font-size:14px;max-width:100%;opacity:.4;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.bb-file-picker-info>span:first-child{flex:1}.bb-file-picker-info>span:last-child{margin-left:12px}.bb-file-picker-image-container{border-top:1px solid #b6bbc1;overflow:hidden}.bb-file-picker-image-wrapper{margin:20px auto;max-width:40%;width:100%}.bb-file-picker-image{background-position:50%;background-repeat:no-repeat;background-size:cover;border-radius:4px;display:flex;overflow:hidden;position:relative;width:100%;will-change:opacity}.bb-file-picker-hint{color:#738694;display:block;font-size:13px;margin-top:4px}"]
                },] }
    ];
    BbFilePicker.propDecorators = {
        fileInput: [{ type: core.ViewChild, args: ['fileInput', { static: true },] }],
        extraTemplate: [{ type: core.ContentChild, args: ['extra',] }],
        label: [{ type: core.Input }],
        hint: [{ type: core.Input }],
        accept: [{ type: core.Input }],
        showImages: [{ type: core.Input }],
        allowDragging: [{ type: core.Input }],
        value: [{ type: core.Input }],
        valueChange: [{ type: core.Output }],
        onDrag: [{ type: core.HostListener, args: ['dragover', ['$event', 'true'],] }, { type: core.HostListener, args: ['dragleave', ['$event', 'false'],] }],
        onDrop: [{ type: core.HostListener, args: ['drop', ['$event'],] }]
    };

    var BbDatePickerBase = /** @class */ (function () {
        function BbDatePickerBase() {
        }
        return BbDatePickerBase;
    }());
    var BbFilePickerMixinBase$1 = bbFoundation.mixinRequired(bbFoundation.mixinReadonly(bbFoundation.mixinDisabled(bbFoundation.mixinGrouped(bbFoundation.mixinError(bbFoundation.mixinHideErrors(BbDatePickerBase))))));
    var BbDatePicker = /** @class */ (function (_super) {
        __extends(BbDatePicker, _super);
        function BbDatePicker(_localeId) {
            var _this = _super.call(this) || this;
            _this._localeId = _localeId;
            // Readonly data.
            _this._yearRegex = /^(10|[1-9][0-9])\d{2}$/; // Note: 1000 - 9999
            // Inputs.
            _this.label = null;
            _this.hint = null;
            _this.dayPlaceholder = 'dd';
            _this.monthPlaceholder = 'mm';
            _this.yearPlaceholder = 'yyyy';
            _this.trackByValue = function (_, item) { return item === null || item === void 0 ? void 0 : item.value; };
            _this.valueChange = new core.EventEmitter();
            // Subscriptions.
            _this._subscription = new rxjs.Subscription();
            _this.onTouchedCallback = function () {
            };
            _this.onChangeCallback = function () {
            };
            _this.formToDateString = function (_c) {
                var year = _c.year, month = _c.month, day = _c.day;
                var _a;
                if ((_a = _this.form) === null || _a === void 0 ? void 0 : _a.invalid) {
                    return null;
                }
                var prefixedMonth = _this.padString("" + month, 2, '0');
                var prefixedDay = _this.padString("" + day, 2, '0');
                return [year, prefixedMonth, prefixedDay].join('-');
            };
            _this.getDaysInMonth = function (month, year) {
                if (month === void 0) { month = null; }
                if (year === void 0) { year = null; }
                var _a;
                if (((_a = _this.form) === null || _a === void 0 ? void 0 : _a.invalid) || month === null || year === null) {
                    return 31;
                }
                var parsedYear = parseInt(year, 10);
                return new Date(parsedYear, month, 0).getDate();
            };
            _this.isValidDateString = function (value) {
                return typeof value === 'string' && /^[0-9]{4}-[0-9]{2}-[0-9]{2}$/.test(value);
            };
            _this.padString = function (value, maxLength, fillString) {
                if (fillString === void 0) { fillString = '0'; }
                var count = maxLength - value.length;
                for (var index = 0; index < count; index++) {
                    value = "" + fillString + value;
                }
                return value;
            };
            return _this;
        }
        Object.defineProperty(BbDatePicker.prototype, "value", {
            get: function () {
                var _a;
                return this.formToDateString((_a = this.form) === null || _a === void 0 ? void 0 : _a.value);
            },
            set: function (value) {
                this.parseDateStringInForm(value);
                this.valueChange.emit(this.value);
            },
            enumerable: false,
            configurable: true
        });
        BbDatePicker.prototype.ngOnInit = function () {
            this.composeForm();
            this.getData();
            this.handleChanges();
        };
        BbDatePicker.prototype.ngOnDestroy = function () {
            var _a;
            (_a = this._subscription) === null || _a === void 0 ? void 0 : _a.unsubscribe();
        };
        BbDatePicker.prototype.writeValue = function (value) {
            this.parseDateStringInForm(value);
        };
        BbDatePicker.prototype.registerOnChange = function (method) {
            this.onChangeCallback = method;
        };
        BbDatePicker.prototype.registerOnTouched = function (method) {
            this.onTouchedCallback = method;
        };
        BbDatePicker.prototype.setDisabledState = function (isDisabled) {
            var _a, _b;
            this.disabled = isDisabled;
            if (this.disabled) {
                (_a = this.form) === null || _a === void 0 ? void 0 : _a.disable();
            }
            else {
                (_b = this.form) === null || _b === void 0 ? void 0 : _b.enable();
            }
        };
        BbDatePicker.prototype.onErrorChange = function (error) {
            this.error = !!error;
        };
        BbDatePicker.prototype.validate = function (_c) {
            var value = _c.value;
            if (value === null || value === undefined) {
                return null;
            }
            var data = this.parseDateString(value);
            var date = new Date(data === null || data === void 0 ? void 0 : data.year, (data === null || data === void 0 ? void 0 : data.month) - 1, data === null || data === void 0 ? void 0 : data.day);
            var maxDays = this.getDaysInMonth(data === null || data === void 0 ? void 0 : data.month, "" + (data === null || data === void 0 ? void 0 : data.year));
            var isInvalidDate = date.toString() === 'Invalid Date';
            var exceededMaxDays = (data === null || data === void 0 ? void 0 : data.day) > maxDays;
            return (isInvalidDate || exceededMaxDays) && {
                invalidDate: true
            };
        };
        BbDatePicker.prototype.handleChanges = function () {
            var _this = this;
            var dateOrNull$ = this.form.valueChanges.pipe(operators.map(function (value) { return _this.formToDateString(value); }), operators.distinctUntilChanged());
            var subscription = dateOrNull$.subscribe(function () {
                _this.valueChange.emit(_this.value);
                _this.onChangeCallback(_this.value);
            });
            this._subscription.add(subscription);
        };
        BbDatePicker.prototype.getData = function () {
            var _this = this;
            var months$ = this.getMonthData();
            var days$ = this.getDayData();
            this.data$ = rxjs.combineLatest([months$, days$]).pipe(operators.map(function (_c) {
                var _d = __read(_c, 2), months = _d[0], days = _d[1];
                return ({ months: months, days: days });
            }), operators.tap(function (data) { var _a; return _this.verifyMaxDays((_a = data === null || data === void 0 ? void 0 : data.days) === null || _a === void 0 ? void 0 : _a.length); }));
        };
        BbDatePicker.prototype.verifyMaxDays = function (maxDays) {
            var control = this.form.get('day');
            if ((control === null || control === void 0 ? void 0 : control.value) === null || (control === null || control === void 0 ? void 0 : control.value) <= maxDays) {
                return;
            }
            control.patchValue(maxDays);
        };
        BbDatePicker.prototype.getDayData = function () {
            var _this = this;
            var _a;
            var count$ = this.form.valueChanges.pipe(operators.startWith((_a = this.form) === null || _a === void 0 ? void 0 : _a.value), operators.map(function (_c) {
                var month = _c.month, year = _c.year;
                return _this.getDaysInMonth(month, year);
            }), operators.distinctUntilChanged());
            return count$.pipe(operators.map(function (count) { return Array(count).fill(0).map(function (_, index) { return ({
                label: "" + (index + 1),
                value: index + 1
            }); }); }));
        };
        BbDatePicker.prototype.getMonthData = function () {
            var _this = this;
            var array = Array(12).fill(0).map(function (_, month) {
                var date = new Date(2000, month, 1);
                var label = common.formatDate(date, 'LLLL', _this._localeId);
                return { label: label, value: month + 1 };
            });
            return rxjs.of(array);
        };
        BbDatePicker.prototype.composeForm = function () {
            var required = forms.Validators.required, pattern = forms.Validators.pattern, minLength = forms.Validators.minLength, maxLength = forms.Validators.maxLength;
            var yearPattern = pattern(this._yearRegex);
            var yearValidators = [required, yearPattern, minLength(4), maxLength(4)];
            this.form = new forms.FormGroup({
                day: new forms.FormControl(null, required),
                month: new forms.FormControl(null, required),
                year: new forms.FormControl(null, yearValidators)
            });
        };
        BbDatePicker.prototype.parseDateStringInForm = function (value) {
            var _a, _b;
            // If the date string was not a valid format, reset the form.
            if (!this.isValidDateString(value)) {
                if (value !== null) {
                    (_a = this.form) === null || _a === void 0 ? void 0 : _a.reset({ year: null, month: null, day: null }, { emitEvent: false });
                }
                return;
            }
            // Parse the date string and save in the form.
            var data = this.parseDateString(value);
            var year = (data === null || data === void 0 ? void 0 : data.year) !== null && (data === null || data === void 0 ? void 0 : data.year) !== undefined
                ? this.padString("" + (data === null || data === void 0 ? void 0 : data.year), 4, '0')
                : null;
            var formData = Object.assign(Object.assign({}, (data !== null && data !== void 0 ? data : {})), { year: year });
            (_b = this.form) === null || _b === void 0 ? void 0 : _b.patchValue(formData, { emitEvent: false });
        };
        BbDatePicker.prototype.parseDateString = function (value) {
            if (!this.isValidDateString(value)) {
                return null;
            }
            // Parse the date string.
            var _c = __read(value === null || value === void 0 ? void 0 : value.split('-'), 3), year = _c[0], month = _c[1], day = _c[2];
            return {
                day: day ? parseInt(day, 10) : null,
                month: month ? parseInt(month, 10) : null,
                year: year ? parseInt(year, 10) : null
            };
        };
        return BbDatePicker;
    }(BbFilePickerMixinBase$1));
    BbDatePicker.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-date-picker',
                    template: "<!-- Label of the date picker. -->\n<label *ngIf=\"label as labelContent\"\n       class=\"bb-date-picker-label\">\n    <ng-template [bbTemplate]=\"labelContent\">\n        {{ labelContent }}\n    </ng-template>\n</label>\n\n<!-- The form containing the year/month/day fields. -->\n<form *ngIf=\"data$ | async as data\"\n      [formGroup]=\"form\"\n      class=\"bb-date-picker-container\"\n      novalidate>\n    <div class=\"bb-date-picker-item\">\n        <bb-form-control hideErrors>\n            <select [class.has-value]=\"!!form?.get('day')?.value\"\n                    bbInput\n                    autocomplete=\"off\"\n                    formControlName=\"day\">\n                <option [ngValue]=\"null\">{{ dayPlaceholder }}</option>\n                <option *ngFor=\"let day of data?.days; trackBy: trackByValue\"\n                        [ngValue]=\"day?.value\">\n                    {{ day?.label }}\n                </option>\n            </select>\n        </bb-form-control>\n    </div>\n    <div class=\"bb-date-picker-item\">\n        <bb-form-control hideErrors>\n            <select [class.has-value]=\"!!form?.get('month')?.value\"\n                    bbInput\n                    autocomplete=\"off\"\n                    formControlName=\"month\">\n                <option [ngValue]=\"null\">{{ monthPlaceholder }}</option>\n                <option *ngFor=\"let month of data?.months; trackBy: trackByValue\"\n                        [ngValue]=\"month?.value\">\n                    {{ month?.label }}\n                </option>\n            </select>\n        </bb-form-control>\n    </div>\n    <div class=\"bb-date-picker-item\">\n        <bb-form-control hideErrors>\n            <input [placeholder]=\"yearPlaceholder\"\n                   bbInput\n                   type=\"text\"\n                   inputmode=\"numeric\"\n                   minlength=\"4\"\n                   maxlength=\"4\"\n                   pattern=\"^[0-9]{4}$\"\n                   formControlName=\"year\"\n                   autocomplete=\"off\">\n        </bb-form-control>\n    </div>\n</form>\n\n<!-- The date picker error. -->\n<bb-form-error *ngIf=\"!hideErrors\"\n               (errorChange)=\"onErrorChange($event)\">\n</bb-form-error>\n\n<!-- The date picker hint. -->\n<p *ngIf=\"hint as hintContent\"\n   class=\"bb-date-picker-hint\">\n    <ng-template [bbTemplate]=\"hintContent\">\n        {{ hintContent }}\n    </ng-template>\n</p>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    providers: [
                        {
                            provide: forms.NG_VALUE_ACCESSOR,
                            useExisting: core.forwardRef(function () { return BbDatePicker; }),
                            multi: true
                        },
                        {
                            provide: forms.NG_VALIDATORS,
                            useExisting: BbDatePicker,
                            multi: true
                        }
                    ],
                    host: {
                        'class': 'bb-date-picker',
                        '[class.required]': 'required',
                        '[class.readonly]': 'readonly',
                        '[class.disabled]': 'disabled',
                        '[class.grouped]': 'grouped',
                        '[class.error]': 'error'
                    },
                    inputs: ['required', 'readonly', 'disabled', 'grouped', 'hideErrors'],
                    preserveWhitespaces: false,
                    styles: [".bb-date-picker{display:block}.bb-date-picker.required>.bb-date-picker-label:after{color:#c23934;content:\"*\";font-size:12px;line-height:1.5}.bb-date-picker.readonly{pointer-events:none}.bb-date-picker.readonly .bb-form-control-container{background-color:#f9f9f9!important;border:1px dotted #bdc4c9;cursor:default}.bb-date-picker.readonly .bb-form-control-container>select:disabled{opacity:1}.bb-date-picker.grouped{margin-bottom:20px}.bb-date-picker.error>.bb-date-picker-label{color:#c23934}.bb-date-picker.error .bb-form-control-container{background-color:rgba(194,57,52,.25)!important;border:1px solid #962b26;box-shadow:inset 0 3px 0 0 rgba(183,188,194,.2),0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(194,57,52,.4)!important}.bb-date-picker-label{color:#000;display:block;font-size:16px;font-weight:500;margin-bottom:4px}.bb-date-picker-container{display:flex}.bb-date-picker-item{flex:1}.bb-date-picker-item>bb-form-control.focused{position:relative;z-index:1}.bb-date-picker-item>.bb-form-control>.bb-form-control-container>select:not(.has-value),.bb-date-picker-item>.bb-form-control>.bb-form-control-container>select>option:first-child{color:#d2d2d2}.bb-date-picker-item>.bb-form-control>.bb-form-control-container>select:not(.has-value)>option:not(:first-child){color:#000}.bb-date-picker-item:not(:first-child):not(:last-child) .bb-form-control-container{border-radius:0!important}.bb-date-picker-item:first-child .bb-form-control-container{border-bottom-right-radius:0!important;border-right:none!important;border-top-right-radius:0!important}.bb-date-picker-item:last-child .bb-form-control-container{border-bottom-left-radius:0!important;border-left:none!important;border-top-left-radius:0!important}.bb-date-picker-hint{color:#738694;display:block;font-size:13px;margin-top:4px;pointer-events:all}"]
                },] }
    ];
    BbDatePicker.ctorParameters = function () { return [
        { type: String, decorators: [{ type: core.Inject, args: [core.LOCALE_ID,] }] }
    ]; };
    BbDatePicker.propDecorators = {
        label: [{ type: core.Input }],
        hint: [{ type: core.Input }],
        dayPlaceholder: [{ type: core.Input }],
        monthPlaceholder: [{ type: core.Input }],
        yearPlaceholder: [{ type: core.Input }],
        value: [{ type: core.Input }],
        valueChange: [{ type: core.Output }]
    };

    var BbSuffix = /** @class */ (function () {
        function BbSuffix() {
        }
        return BbSuffix;
    }());
    BbSuffix.decorators = [
        { type: core.Directive, args: [{
                    selector: '[bbSuffix]',
                    host: {
                        'class': 'bb-suffix'
                    }
                },] }
    ];
    var BbPrefix = /** @class */ (function () {
        function BbPrefix() {
        }
        return BbPrefix;
    }());
    BbPrefix.decorators = [
        { type: core.Directive, args: [{
                    selector: '[bbPrefix]',
                    host: {
                        'class': 'bb-prefix'
                    }
                },] }
    ];

    var BbFormSubmit = /** @class */ (function () {
        function BbFormSubmit(_host, _formDirective) {
            this._host = _host;
            this._formDirective = _formDirective;
        }
        BbFormSubmit.prototype.ngOnInit = function () {
            // Submit changes.
            var regularSubmitChanges$ = rxjs.fromEvent(this.nativeElement, 'submit').pipe(operators.mapTo(true));
            // Reactive form submit changes.
            var reactiveSubmitChanges$ = this.reactiveSubmitChanges();
            // Reset changes.
            var resetChanges$ = rxjs.fromEvent(this.nativeElement, 'reset').pipe(operators.mapTo(false));
            // Listen to the submit status.
            this.submitStatus$ = rxjs.merge(regularSubmitChanges$, reactiveSubmitChanges$, resetChanges$).pipe(operators.startWith(false), operators.distinctUntilChanged(), operators.shareReplay(1));
        };
        BbFormSubmit.prototype.submit = function () {
            var _a, _b;
            (_b = (_a = this._formDirective) === null || _a === void 0 ? void 0 : _a.ngSubmit) === null || _b === void 0 ? void 0 : _b.emit();
        };
        BbFormSubmit.prototype.reset = function () {
            var _a;
            return (_a = this.nativeElement) === null || _a === void 0 ? void 0 : _a.reset();
        };
        Object.defineProperty(BbFormSubmit.prototype, "nativeElement", {
            get: function () {
                var _a;
                return (_a = this._host) === null || _a === void 0 ? void 0 : _a.nativeElement;
            },
            enumerable: false,
            configurable: true
        });
        BbFormSubmit.prototype.reactiveSubmitChanges = function () {
            if (!this._formDirective) {
                return rxjs.EMPTY;
            }
            return this._formDirective.ngSubmit.pipe(operators.mapTo(true));
        };
        return BbFormSubmit;
    }());
    BbFormSubmit.decorators = [
        { type: core.Directive, args: [{
                    selector: 'form',
                    exportAs: 'bbForm'
                },] }
    ];
    BbFormSubmit.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: forms.FormGroupDirective, decorators: [{ type: core.Optional }, { type: core.Self }] }
    ]; };

    var BbSelect = /** @class */ (function () {
        function BbSelect(_elementRef, _ngControl, _formControl) {
            this._elementRef = _elementRef;
            this._ngControl = _ngControl;
            this._formControl = _formControl;
            this.hasArrow = true;
            this._disabled = false;
            this._required = false;
        }
        BbSelect.prototype.ngOnInit = function () {
            // Set an arrow on the form control if
            // it requires one.
            this._formControl.arrow = this.hasArrow;
        };
        BbSelect.prototype.ngDoCheck = function () {
            if (this._ngControl) {
                this.disabled = this._ngControl.disabled;
            }
        };
        BbSelect.prototype.ngOnDestroy = function () {
            var _a;
            (_a = this._subscription) === null || _a === void 0 ? void 0 : _a.unsubscribe();
        };
        BbSelect.prototype.focus = function () {
            var _a, _b;
            return (_b = (_a = this._elementRef) === null || _a === void 0 ? void 0 : _a.nativeElement) === null || _b === void 0 ? void 0 : _b.focus();
        };
        BbSelect.prototype.setFocus = function (hasFocus) {
            if (!this._formControl) {
                return;
            }
            this._formControl.focused = hasFocus;
        };
        Object.defineProperty(BbSelect.prototype, "id", {
            get: function () {
                var _a, _b;
                return (_b = (_a = this._formControl) === null || _a === void 0 ? void 0 : _a.labelId) !== null && _b !== void 0 ? _b : null;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbSelect.prototype, "disabled", {
            get: function () {
                if (this._ngControl && this._ngControl.disabled !== null) {
                    return this._ngControl.disabled;
                }
                return this._disabled;
            },
            set: function (newValue) {
                this._disabled = bbFoundation.coerceBooleanProperty(newValue);
                if (!this._formControl) {
                    return;
                }
                this._formControl.disabled = this._disabled;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbSelect.prototype, "required", {
            get: function () {
                return this._required;
            },
            set: function (newValue) {
                this._required = bbFoundation.coerceBooleanProperty(newValue);
                if (!this._formControl) {
                    return;
                }
                this._formControl.required = this._required;
            },
            enumerable: false,
            configurable: true
        });
        return BbSelect;
    }());
    BbSelect.decorators = [
        { type: core.Directive, args: [{
                    selector: 'select[bbInput]',
                    host: {
                        '[disabled]': 'disabled',
                        '(focus)': 'setFocus(true)',
                        '(blur)': 'setFocus(false)'
                    }
                },] }
    ];
    BbSelect.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: forms.NgControl, decorators: [{ type: core.Optional }, { type: core.Self }] },
        { type: BbFormControl, decorators: [{ type: core.Optional }, { type: core.Host }] }
    ]; };
    BbSelect.propDecorators = {
        id: [{ type: core.HostBinding, args: ['attr.id',] }],
        disabled: [{ type: core.Input }],
        required: [{ type: core.Input }]
    };
    var BbInput = /** @class */ (function (_super) {
        __extends(BbInput, _super);
        function BbInput(_elementRef, _ngControl, _formControl) {
            var _this = _super.call(this, _elementRef, _ngControl, _formControl) || this;
            _this._elementRef = _elementRef;
            _this._ngControl = _ngControl;
            _this._formControl = _formControl;
            _this.hasArrow = false;
            _this._readonly = false;
            return _this;
        }
        Object.defineProperty(BbInput.prototype, "readonly", {
            get: function () {
                return this._readonly;
            },
            set: function (newValue) {
                this._readonly = bbFoundation.coerceBooleanProperty(newValue);
                if (!this._formControl) {
                    return;
                }
                this._formControl.readonly = this._readonly;
            },
            enumerable: false,
            configurable: true
        });
        return BbInput;
    }(BbSelect));
    BbInput.decorators = [
        { type: core.Directive, args: [{
                    selector: 'input[bbInput], textarea[bbInput]',
                    host: {
                        '[disabled]': 'disabled',
                        '[readonly]': 'readonly',
                        '(focus)': 'setFocus(true)',
                        '(blur)': 'setFocus(false)'
                    }
                },] }
    ];
    BbInput.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: forms.NgControl, decorators: [{ type: core.Optional }, { type: core.Self }] },
        { type: BbFormControl, decorators: [{ type: core.Optional }, { type: core.Host }] }
    ]; };
    BbInput.propDecorators = {
        readonly: [{ type: core.Input }]
    };

    var BbFormGroupBase = /** @class */ (function () {
        function BbFormGroupBase() {
        }
        return BbFormGroupBase;
    }());
    var BbFormGroupMixinBase = bbFoundation.mixinGrouped(BbFormGroupBase);
    var BbFormGroup = /** @class */ (function (_super) {
        __extends(BbFormGroup, _super);
        function BbFormGroup() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return BbFormGroup;
    }(BbFormGroupMixinBase));
    BbFormGroup.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-form-group',
                    template: "<ng-content></ng-content>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'bb-form-group',
                        '[class.grouped]': 'grouped'
                    },
                    inputs: ['grouped'],
                    preserveWhitespaces: false,
                    styles: [".bb-form-group{display:flex;flex-wrap:wrap;margin-top:-10px;width:100%}.bb-form-group>*{margin-top:10px}.bb-form-group>:not(:first-child){margin-left:10px}.bb-form-group.start{justify-content:flex-start}.bb-form-group.end{justify-content:flex-end}.bb-form-group.vertical{flex-direction:column;justify-content:normal}.bb-form-group.vertical>*{margin-left:0}.bb-form-group.vertical.start{align-items:flex-start}.bb-form-group.vertical.end{align-items:flex-end}.bb-form-group.grouped{margin-bottom:20px}"]
                },] }
    ];

    var BbFormError = /** @class */ (function () {
        function BbFormError(_form, _control, _errors) {
            this._form = _form;
            this._control = _control;
            this._errors = _errors;
            // Outputs.
            this.errorChange = new core.EventEmitter();
            // Subscriptions.
            this._ngControl = null;
        }
        Object.defineProperty(BbFormError.prototype, "control", {
            get: function () {
                return this._ngControl;
            },
            // Inputs.
            set: function (value) {
                this._ngControl = value;
            },
            enumerable: false,
            configurable: true
        });
        BbFormError.prototype.ngOnInit = function () {
            var _this = this;
            // Set the control if it was not set before.
            if (!this.control) {
                this.control = this._control;
            }
            // Listen for the submit changes
            var submitStatus$ = this.submitStatusChanges();
            // An observable that emits error changes.
            var errorChanges$ = this.statusChanges().pipe(operators.map(function () { return _this.getError(_this.control.errors); }), operators.distinctUntilChanged(), operators.map(function (error) { return typeof error === 'string' ? { token: error } : error; }));
            // Whenever the user submitted the form we want to
            // listen for any error changes.
            this.error$ = rxjs.combineLatest([submitStatus$, errorChanges$]).pipe(operators.map(function (_a) {
                var _b = __read(_a, 2), submitted = _b[0], error = _b[1];
                // If not submitted return null.
                if (!submitted) {
                    return null;
                }
                // Return the error if submitted.
                return error;
            }), operators.tap(function (value) { return _this.errorChange.emit(value); }));
        };
        BbFormError.prototype.getError = function (errors) {
            // Validate the errors exist.
            if (!errors) {
                return null;
            }
            // Get the first error in the errors.
            var _a = __read(Object.keys(errors), 1), errorName = _a[0];
            var error = errors[errorName];
            // Validate the error exists.
            if (!error) {
                return null;
            }
            // Map the arrays into a object so we can
            // access the functions by a key-lookup.
            var errorFunctions = this._errors.reduce(function (previous, current) { return (Object.assign(Object.assign({}, previous), current)); }, {});
            // Get the error function.
            var errorFunction = errorFunctions[errorName] || errorFunctions['unknown'];
            // Validate the error function exists.
            if (!errorFunction) {
                return null;
            }
            // Return the parsed error.
            return errorFunction(error);
        };
        BbFormError.prototype.submitStatusChanges = function () {
            if (!this._form) {
                return rxjs.of(true);
            }
            return this._form.submitStatus$;
        };
        BbFormError.prototype.statusChanges = function () {
            if (!this.control) {
                return rxjs.EMPTY;
            }
            if (!this.control.statusChanges) {
                return rxjs.EMPTY;
            }
            return this.control.statusChanges.pipe(operators.startWith(this.control.status), operators.delay(0));
        };
        return BbFormError;
    }());
    BbFormError.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-form-error',
                    template: "<ng-container *ngIf=\"error$ | async as error\">\n    <p *ngIf=\"error?.token | bbLocalize:{optional: true, data: error?.data} as message\"\n       class=\"bb-form-error-message\">\n        {{ message }}\n    </p>\n</ng-container>",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'bb-form-error'
                    },
                    preserveWhitespaces: false,
                    styles: [".bb-form-error{display:block}.bb-form-error-message{color:#c23934;display:block;font-size:13px;margin-top:4px}"]
                },] }
    ];
    BbFormError.ctorParameters = function () { return [
        { type: BbFormSubmit, decorators: [{ type: core.Optional }] },
        { type: forms.NgControl, decorators: [{ type: core.Optional }] },
        { type: Array, decorators: [{ type: core.Optional }, { type: core.Inject, args: [ELEMENTS_ERRORS,] }] }
    ]; };
    BbFormError.propDecorators = {
        control: [{ type: core.Input }],
        errorChange: [{ type: core.Output }]
    };

    var BbFocusTrap = /** @class */ (function () {
        function BbFocusTrap(_platform, _elementRef) {
            this._platform = _platform;
            this._elementRef = _elementRef;
            this._focusableElements = [
                'a[href]',
                'area[href]',
                'input:not([disabled]):not([type="hidden"]):not([aria-hidden])',
                'select:not([disabled]):not([aria-hidden])',
                'textarea:not([disabled]):not([aria-hidden])',
                'button:not([disabled]):not([aria-hidden])',
                'iframe',
                'object',
                'embed',
                '[contenteditable]',
                '[tabindex]:not([tabindex^="-"])'
            ];
            this.focus = function (element) {
                return element && element.focus && element.focus();
            };
            this.isTabEvent = function (event) {
                return event.key === 'Tab' || event.keyCode === 9;
            };
        }
        BbFocusTrap.prototype.onKeydown = function (event) {
            // Validate it is a tab event.
            if (!this.isTabEvent(event)) {
                return;
            }
            // Trap the focus inside the element.
            return this.trapFocus(event);
        };
        BbFocusTrap.prototype.trapFocus = function (event) {
            // Validate that the DOM is available.
            if (!this._platform.isBrowser) {
                return;
            }
            // Get all focusable nodes.
            var focusableNodes = this.getFocusableNodes();
            // Focus the first available element if the focus
            // is not in the modal.
            if (!this.element.contains(document.activeElement)) {
                return this.focus(focusableNodes[0]);
            }
            var focusedItemIndex = focusableNodes.indexOf(document.activeElement);
            if (event.shiftKey && focusedItemIndex === 0) {
                this.focus(focusableNodes[focusableNodes.length - 1]);
                return event.preventDefault();
            }
            if (!event.shiftKey && focusedItemIndex === focusableNodes.length - 1) {
                this.focus(focusableNodes[0]);
                return event.preventDefault();
            }
        };
        Object.defineProperty(BbFocusTrap.prototype, "element", {
            get: function () {
                return this._elementRef.nativeElement;
            },
            enumerable: false,
            configurable: true
        });
        BbFocusTrap.prototype.getFocusableNodes = function () {
            var nodes = this.element.querySelectorAll(this._focusableElements);
            return Array.apply(void 0, __spread(nodes));
        };
        return BbFocusTrap;
    }());
    BbFocusTrap.decorators = [
        { type: core.Directive, args: [{
                    selector: '[bbFocusTrap]'
                },] }
    ];
    BbFocusTrap.ctorParameters = function () { return [
        { type: bbFoundation.Platform },
        { type: core.ElementRef }
    ]; };
    BbFocusTrap.propDecorators = {
        onKeydown: [{ type: core.HostListener, args: ['keydown', ['$event'],] }]
    };

    var BbButtonBase = /** @class */ (function () {
        function BbButtonBase(_elementRef) {
            this._elementRef = _elementRef;
        }
        return BbButtonBase;
    }());
    var BbButtonMixinBase = bbFoundation.mixinDisabled(bbFoundation.mixinLoad(BbButtonBase));
    var BbButton = /** @class */ (function (_super) {
        __extends(BbButton, _super);
        function BbButton(_elementRef) {
            return _super.call(this, _elementRef) || this;
        }
        Object.defineProperty(BbButton.prototype, "nativeElement", {
            get: function () {
                return this._elementRef.nativeElement;
            },
            enumerable: false,
            configurable: true
        });
        BbButton.prototype.focus = function () {
            this.nativeElement && this.nativeElement.focus();
        };
        return BbButton;
    }(BbButtonMixinBase));
    BbButton.decorators = [
        { type: core.Component, args: [{
                    selector: 'button[bb-button]',
                    template: "<bb-spinner [class.visible]=\"loading\"\n            class=\"bb-button-spinner small\">\n</bb-spinner>\n\n<ng-content></ng-content>\n",
                    exportAs: 'bbButton',
                    host: {
                        'class': 'bb-button',
                        '[class.loading]': 'loading',
                        '[attr.disabled]': 'disabled || loading || null'
                    },
                    inputs: ['disabled', 'loading'],
                    encapsulation: core.ViewEncapsulation.None,
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    styles: [".bb-button{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;align-items:center;background-color:#fff;border:1px solid #d4d8e1;border-radius:4px;box-shadow:0 6px 6px -6px rgba(0,0,0,.1);color:#2d3c4d!important;cursor:pointer;display:inline-flex;font-size:16px;font-style:normal;font-weight:500;height:38px;justify-content:center;padding:0 8px;position:relative;text-align:center;text-decoration:none;transition-duration:.2s;transition-property:padding-left,background-color,box-shadow;transition-timing-function:cubic-bezier(0,0,.2,1);user-select:none}.bb-button:hover{background-color:#fcfcfb}.bb-button:active,.bb-button:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(220,224,233,.5)}.bb-button.full{width:100%}.bb-button.full.loading{padding-left:42px}.bb-button.primary{background-color:#5b53ff;border-color:#2f2b85;color:#fff!important}.bb-button.primary:hover{background-color:#564ee6}.bb-button.primary:active,.bb-button.primary:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(91,83,255,.5)}.bb-button.destructive{background-color:#d32f2f;border-color:#8f2020;color:#fff!important}.bb-button.destructive:hover{background-color:#c32929}.bb-button.destructive:active,.bb-button.destructive:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(211,47,47,.5)}.bb-button.loading,.bb-button.loading:active,.bb-button.loading:focus,.bb-button.loading:hover,.bb-button:disabled,.bb-button:disabled:active,.bb-button:disabled:focus,.bb-button:disabled:hover,.bb-button[disabled],.bb-button[disabled]:active,.bb-button[disabled]:focus,.bb-button[disabled]:hover{box-shadow:none;cursor:default;opacity:.4}.bb-button-spinner{opacity:0;overflow:hidden;padding:0!important;transition:width .2s cubic-bezier(0,0,.2,1),opacity .1s cubic-bezier(0,0,.2,1);visibility:hidden;width:0}.bb-button-spinner.visible{margin-right:8px;opacity:1;visibility:visible;width:20px}.bb-button.loading.full>.bb-button-spinner{left:8px;margin-right:0;position:absolute}"]
                },] }
    ];
    BbButton.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    var BbAnchor = /** @class */ (function (_super) {
        __extends(BbAnchor, _super);
        function BbAnchor(_elementRef) {
            return _super.call(this, _elementRef) || this;
        }
        BbAnchor.prototype.stopDisabledEvents = function (event) {
            // If the button is not disabled (and not loading) let all events pass.
            if (!this.disabled && !this.loading) {
                return;
            }
            // If the button is disabled and/or loading stop
            // the event from bubbling up.
            event.preventDefault();
            event.stopImmediatePropagation();
        };
        return BbAnchor;
    }(BbButton));
    BbAnchor.decorators = [
        { type: core.Component, args: [{
                    selector: 'a[bb-button]',
                    template: "<bb-spinner [class.visible]=\"loading\"\n            class=\"bb-button-spinner small\">\n</bb-spinner>\n\n<ng-content></ng-content>\n",
                    exportAs: 'bbButton, bbAnchor',
                    host: {
                        'class': 'bb-button',
                        '[attr.tabindex]': '(disabled || loading) ? -1 : (tabIndex || 0)',
                        '[attr.disabled]': 'disabled || loading || null',
                        '[attr.aria-disabled]': '(disabled || loading).toString()',
                        '(click)': 'stopDisabledEvents($event)'
                    },
                    inputs: ['disabled', 'loading'],
                    encapsulation: core.ViewEncapsulation.None,
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    styles: [".bb-button{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;align-items:center;background-color:#fff;border:1px solid #d4d8e1;border-radius:4px;box-shadow:0 6px 6px -6px rgba(0,0,0,.1);color:#2d3c4d!important;cursor:pointer;display:inline-flex;font-size:16px;font-style:normal;font-weight:500;height:38px;justify-content:center;padding:0 8px;position:relative;text-align:center;text-decoration:none;transition-duration:.2s;transition-property:padding-left,background-color,box-shadow;transition-timing-function:cubic-bezier(0,0,.2,1);user-select:none}.bb-button:hover{background-color:#fcfcfb}.bb-button:active,.bb-button:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(220,224,233,.5)}.bb-button.full{width:100%}.bb-button.full.loading{padding-left:42px}.bb-button.primary{background-color:#5b53ff;border-color:#2f2b85;color:#fff!important}.bb-button.primary:hover{background-color:#564ee6}.bb-button.primary:active,.bb-button.primary:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(91,83,255,.5)}.bb-button.destructive{background-color:#d32f2f;border-color:#8f2020;color:#fff!important}.bb-button.destructive:hover{background-color:#c32929}.bb-button.destructive:active,.bb-button.destructive:focus{box-shadow:0 6px 6px -6px rgba(0,0,0,.1),0 0 0 3px rgba(211,47,47,.5)}.bb-button.loading,.bb-button.loading:active,.bb-button.loading:focus,.bb-button.loading:hover,.bb-button:disabled,.bb-button:disabled:active,.bb-button:disabled:focus,.bb-button:disabled:hover,.bb-button[disabled],.bb-button[disabled]:active,.bb-button[disabled]:focus,.bb-button[disabled]:hover{box-shadow:none;cursor:default;opacity:.4}.bb-button-spinner{opacity:0;overflow:hidden;padding:0!important;transition:width .2s cubic-bezier(0,0,.2,1),opacity .1s cubic-bezier(0,0,.2,1);visibility:hidden;width:0}.bb-button-spinner.visible{margin-right:8px;opacity:1;visibility:visible;width:20px}.bb-button.loading.full>.bb-button-spinner{left:8px;margin-right:0;position:absolute}"]
                },] }
    ];
    BbAnchor.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    BbAnchor.propDecorators = {
        tabIndex: [{ type: core.Input }]
    };

    var BbTemplate = /** @class */ (function () {
        function BbTemplate(_templateRef, _viewContainerRef) {
            this._templateRef = _templateRef;
            this._viewContainerRef = _viewContainerRef;
        }
        Object.defineProperty(BbTemplate.prototype, "bbTemplate", {
            set: function (content) {
                // Get the template.
                var template = content instanceof core.TemplateRef
                    ? content
                    : this._templateRef;
                // Clear the view container ref and create the view.
                this._viewContainerRef.clear();
                this._viewContainerRef.createEmbeddedView(template);
            },
            enumerable: false,
            configurable: true
        });
        return BbTemplate;
    }());
    BbTemplate.decorators = [
        { type: core.Directive, args: [{
                    selector: '[bbTemplate]'
                },] }
    ];
    BbTemplate.ctorParameters = function () { return [
        { type: core.TemplateRef },
        { type: core.ViewContainerRef }
    ]; };
    BbTemplate.propDecorators = {
        bbTemplate: [{ type: core.Input }]
    };

    var BbAutosize = /** @class */ (function () {
        function BbAutosize(_renderer, _elementRef) {
            this._renderer = _renderer;
            this._elementRef = _elementRef;
            // Min/max heights for the textarea.
            this.minHeight = null;
            this.maxHeight = null;
            this.rows = 1;
        }
        Object.defineProperty(BbAutosize.prototype, "element", {
            get: function () {
                var _a;
                return (_a = this._elementRef) === null || _a === void 0 ? void 0 : _a.nativeElement;
            },
            enumerable: false,
            configurable: true
        });
        BbAutosize.prototype.ngAfterViewInit = function () {
            // Update the styles after the DOM has loaded.
            this.updateStyles();
        };
        BbAutosize.prototype.onWindowResize = function () {
            // Update the styles when the window is resized.
            this.updateStyles();
        };
        BbAutosize.prototype.onInputReceived = function () {
            // Update the styles after the textarea received input.
            this.updateStyles();
        };
        BbAutosize.prototype.updateStyles = function () {
            var _a, _b, _c;
            // Validate the element exists.
            if (!this.element) {
                return;
            }
            // Calculate border height which is not included in the scroll height.
            var borderHeight = ((_a = this.element) === null || _a === void 0 ? void 0 : _a.offsetHeight) - ((_b = this.element) === null || _b === void 0 ? void 0 : _b.clientHeight);
            // Reset textarea height to auto that correctly calculate the new height.
            this.setHeight('auto');
            // Set new height.
            this.setHeight(((_c = this.element) === null || _c === void 0 ? void 0 : _c.scrollHeight) + borderHeight + "px");
        };
        BbAutosize.prototype.setHeight = function (value) {
            this._renderer.setStyle(this.element, 'height', value);
        };
        return BbAutosize;
    }());
    BbAutosize.decorators = [
        { type: core.Directive, args: [{
                    selector: 'textarea[bbAutosize]'
                },] }
    ];
    BbAutosize.ctorParameters = function () { return [
        { type: core.Renderer2 },
        { type: core.ElementRef }
    ]; };
    BbAutosize.propDecorators = {
        minHeight: [{ type: core.Input }, { type: core.HostBinding, args: ['style.min-height',] }],
        maxHeight: [{ type: core.Input }, { type: core.HostBinding, args: ['style.max-height',] }],
        rows: [{ type: core.Input }, { type: core.HostBinding, args: ['rows',] }],
        onWindowResize: [{ type: core.HostListener, args: ['window:resize',] }],
        onInputReceived: [{ type: core.HostListener, args: ['input',] }]
    };

    var BbRelativeTime = /** @class */ (function () {
        function BbRelativeTime(_localize, _localeId) {
            this._localize = _localize;
            this._localeId = _localeId;
            this.isValidDate = function (date) {
                return typeof date === 'object' &&
                    typeof date.getTime === 'function' &&
                    !isNaN(date.getTime());
            };
            this.parseAsDate = function (value) {
                // Add a Z after the date so
                // it is treated as a UTC date.
                if (typeof value === 'string' && /^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}$/.test(value)) {
                    return new Date(value + "Z");
                }
                // Return the regular parsed date.
                return new Date(value);
            };
            this.isToday = function (date) {
                var today = new Date();
                return (date === null || date === void 0 ? void 0 : date.getDate()) === (today === null || today === void 0 ? void 0 : today.getDate()) &&
                    (date === null || date === void 0 ? void 0 : date.getMonth()) === (today === null || today === void 0 ? void 0 : today.getMonth()) &&
                    (date === null || date === void 0 ? void 0 : date.getFullYear()) === (today === null || today === void 0 ? void 0 : today.getFullYear());
            };
            this.isYesterday = function (date) {
                var _a, _b;
                var yesterday = new Date((_a = new Date()) === null || _a === void 0 ? void 0 : _a.setDate(((_b = new Date()) === null || _b === void 0 ? void 0 : _b.getDate()) - 1));
                return (date === null || date === void 0 ? void 0 : date.getDate()) === (yesterday === null || yesterday === void 0 ? void 0 : yesterday.getDate()) &&
                    (date === null || date === void 0 ? void 0 : date.getMonth()) === (yesterday === null || yesterday === void 0 ? void 0 : yesterday.getMonth()) &&
                    (date === null || date === void 0 ? void 0 : date.getFullYear()) === (yesterday === null || yesterday === void 0 ? void 0 : yesterday.getFullYear());
            };
            this.isTomorrow = function (date) {
                var _a, _b;
                var tomorrow = new Date((_a = new Date()) === null || _a === void 0 ? void 0 : _a.setDate(((_b = new Date()) === null || _b === void 0 ? void 0 : _b.getDate()) + 1));
                return (date === null || date === void 0 ? void 0 : date.getDate()) === (tomorrow === null || tomorrow === void 0 ? void 0 : tomorrow.getDate()) &&
                    (date === null || date === void 0 ? void 0 : date.getMonth()) === (tomorrow === null || tomorrow === void 0 ? void 0 : tomorrow.getMonth()) &&
                    (date === null || date === void 0 ? void 0 : date.getFullYear()) === (tomorrow === null || tomorrow === void 0 ? void 0 : tomorrow.getFullYear());
            };
            this._datePipe = new common.DatePipe(this._localeId);
        }
        BbRelativeTime.prototype.transform = function (value) {
            // Parse the value to a date object.
            var date = this.parseAsDate(value);
            // Check if the date is valid.
            if (!this.isValidDate(date)) {
                return value;
            }
            // Return the formatted date.
            return this.format(date);
        };
        BbRelativeTime.prototype.format = function (date) {
            // It happens tomorrow.
            if (this.isTomorrow(date)) {
                return this.formatString(date, 'times.tomorrow_at', 'shortTime');
            }
            // It happened today.
            if (this.isToday(date)) {
                return this.formatString(date, 'times.today_at', 'shortTime');
            }
            // It happened yesterday.
            if (this.isYesterday(date)) {
                return this.formatString(date, 'times.yesterday_at', 'shortTime');
            }
            // Just return the date.
            return this.formatString(date);
        };
        BbRelativeTime.prototype.formatString = function (date, token, format) {
            // Just return the parsed date.
            if (!this._localize || !token || !format) {
                return this._datePipe.transform(date, 'mediumDate');
            }
            // Return the translated formatting.
            return this._localize.translate({
                token: token,
                data: { date: this._datePipe.transform(date, format) }
            });
        };
        return BbRelativeTime;
    }());
    BbRelativeTime.decorators = [
        { type: core.Pipe, args: [{
                    name: 'bbRelativeTime'
                },] }
    ];
    BbRelativeTime.ctorParameters = function () { return [
        { type: localize.Localize, decorators: [{ type: core.Optional }] },
        { type: String, decorators: [{ type: core.Inject, args: [core.LOCALE_ID,] }] }
    ]; };

    var nextUniqueId$2 = 0;
    var BbCheckboxBase = /** @class */ (function () {
        function BbCheckboxBase() {
        }
        return BbCheckboxBase;
    }());
    var BbCheckboxMixinBase = bbFoundation.mixinDisabled(bbFoundation.mixinGrouped(BbCheckboxBase));
    var BbCheckbox = /** @class */ (function (_super) {
        __extends(BbCheckbox, _super);
        function BbCheckbox(_changeDetection) {
            var _this = _super.call(this) || this;
            _this._changeDetection = _changeDetection;
            // Data.
            _this.labelId = "bb-checkbox-" + nextUniqueId$2++;
            _this._checked = false;
            // Methods.
            _this.onChange = function () {
            };
            _this.onTouched = function () {
            };
            return _this;
        }
        Object.defineProperty(BbCheckbox.prototype, "checked", {
            get: function () {
                return this._checked;
            },
            set: function (value) {
                this._checked = bbFoundation.coerceBooleanProperty(value);
                this._changeDetection.markForCheck();
            },
            enumerable: false,
            configurable: true
        });
        BbCheckbox.prototype.registerOnChange = function (fn) {
            this.onChange = fn;
        };
        BbCheckbox.prototype.registerOnTouched = function (fn) {
            this.onTouched = fn;
        };
        BbCheckbox.prototype.setDisabledState = function (isDisabled) {
            this.disabled = isDisabled;
            this._changeDetection.markForCheck();
        };
        BbCheckbox.prototype.writeValue = function (newValue) {
            this.checked = newValue;
        };
        BbCheckbox.prototype.onInteractionEvent = function (event) {
            // Stop the propagation to prevent it from bubbling up.
            event.stopPropagation();
        };
        BbCheckbox.prototype.onInputClick = function (event) {
            // Stop the propagation to prevent it from bubbling up.
            event.stopPropagation();
            // Toggle the value.
            this.checked = !this.checked;
            // Emit the change event.
            this.onChange && this.onChange(this.checked);
        };
        return BbCheckbox;
    }(BbCheckboxMixinBase));
    BbCheckbox.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-checkbox',
                    template: "<input [id]=\"labelId\"\n       [checked]=\"checked\"\n       [disabled]=\"disabled\"\n       (change)=\"onInteractionEvent($event)\"\n       (click)=\"onInputClick($event)\"\n       class=\"bb-checkbox-input\"\n       tabindex=\"-1\"\n       type=\"checkbox\">\n\n<label [for]=\"labelId\"\n       [attr.tabindex]=\"disabled ? -1 : (tabIndex || 0)\"\n       (keyup.space)=\"onInputClick($event)\"\n       class=\"bb-checkbox-label\">\n    <span>\n        <svg width=\"12px\"\n             height=\"10px\"\n             viewbox=\"0 0 12 10\">\n            <polyline points=\"1.5 6 4.5 9 10.5 1\"></polyline>\n        </svg>\n    </span>\n    <span>\n        <ng-content></ng-content>\n    </span>\n</label>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    providers: [
                        { provide: forms.NG_VALUE_ACCESSOR, useExisting: core.forwardRef(function () { return BbCheckbox; }), multi: true }
                    ],
                    host: {
                        'class': 'bb-checkbox',
                        '[class.grouped]': 'grouped'
                    },
                    inputs: ['grouped', 'disabled'],
                    preserveWhitespaces: false,
                    styles: [".bb-checkbox{display:block}.bb-checkbox+.bb-checkbox{margin-top:5px}.bb-checkbox.grouped{margin-bottom:20px}.bb-checkbox-input{display:none}.bb-checkbox-label{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;cursor:pointer;display:flex;margin:0;user-select:none}.bb-checkbox-label>span{display:inline-block;transform:translateZ(0);vertical-align:middle}.bb-checkbox-label>span:first-child{border:1px solid #bdc4c9;border-radius:3px;height:18px;min-height:18px;min-width:18px;position:relative;transition:all .2s ease;vertical-align:middle;width:18px}.bb-checkbox-label>span:last-child{padding-left:8px}.bb-checkbox-label>span:first-child>svg{fill:none;left:2px;position:absolute;stroke:#fff;stroke-dasharray:16px;stroke-dashoffset:16px;stroke-linecap:round;stroke-linejoin:round;stroke-width:2;top:3px;transform:translateZ(0);transition:all .3s ease;transition-delay:.1s}.bb-checkbox-input:not(:disabled):not(:checked)+.bb-checkbox-label:focus>span:first-child{box-shadow:0 0 0 3px rgba(222,205,205,.5)}.bb-checkbox-input:not(:disabled):checked+.bb-checkbox-label:focus>span:first-child{box-shadow:0 0 0 3px rgba(91,83,255,.5)}.bb-checkbox-input:checked+.bb-checkbox-label>span:first-child{background-color:#5b53ff;border-color:#5b53ff}.bb-checkbox-input:checked+.bb-checkbox-label>span:first-child>svg{stroke-dashoffset:0}.bb-checkbox-input:disabled+.bb-checkbox-label{cursor:default;pointer-events:none}.bb-checkbox-input:disabled:checked+.bb-checkbox-label>span:first-child{background-color:hsla(0,0%,80%,.64);border-color:hsla(0,0%,80%,.64)}"]
                },] }
    ];
    BbCheckbox.ctorParameters = function () { return [
        { type: core.ChangeDetectorRef }
    ]; };
    BbCheckbox.propDecorators = {
        tabIndex: [{ type: core.Input }],
        checked: [{ type: core.Input }]
    };

    var BbSpinnerBase = /** @class */ (function () {
        function BbSpinnerBase() {
        }
        return BbSpinnerBase;
    }());
    var BbSpinnerMixinBase = bbFoundation.mixinDisabled(BbSpinnerBase);
    var BbSpinner = /** @class */ (function (_super) {
        __extends(BbSpinner, _super);
        function BbSpinner() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            // Inputs.
            _this.color = '#303f9f';
            _this.alt = 'Loading...';
            return _this;
        }
        return BbSpinner;
    }(BbSpinnerMixinBase));
    BbSpinner.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-spinner',
                    template: "<!--\n    The spinner element.\n\n    This element contains a circle with a 25% bar that spins\n    indefinitely. The border color can be set via the \"color\"\n    property.\n-->\n<div class=\"bb-spinner-container\">\n    <div [style.border-left-color]=\"color\"\n         [class.disabled]=\"disabled\"\n         class=\"bb-spinner-loader\"\n         aria-live=\"assertive\"\n         role=\"alert\">\n        {{ alt }}\n    </div>\n    <ng-content select=\"img\"></ng-content>\n</div>\n\n<!--\n    The content of the spinner.\n\n    This element contains the content of the spinner. The user\n    can set the content inside the tag.\n-->\n<span class=\"bb-spinner-content\">\n    <ng-content></ng-content>\n</span>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    host: { 'class': 'bb-spinner' },
                    inputs: ['color', 'alt', 'disabled'],
                    preserveWhitespaces: false,
                    styles: [".bb-spinner{align-items:center;color:#565656;display:inline-flex;flex-direction:column;justify-content:center;padding:20px 0;text-align:center}.bb-spinner.block{display:flex}.bb-spinner.inverse .bb-spinner-loader{border-color:hsla(0,0%,100%,.15)}.bb-spinner.inverse .bb-spinner-content{color:hsla(0,0%,100%,.5)}.bb-spinner.small .bb-spinner-loader,.bb-spinner.small .bb-spinner-loader:after{height:20px;min-height:20px;min-width:20px;width:20px}.bb-spinner.small .bb-spinner-loader{border-width:2px}.bb-spinner.small .bb-spinner-content{font-size:12px}.bb-spinner.medium .bb-spinner-loader,.bb-spinner.medium .bb-spinner-loader:after{height:60px;min-height:60px;min-width:60px;width:60px}.bb-spinner.medium .bb-spinner-loader{border-width:4px}.bb-spinner.medium .bb-spinner-content{font-size:16px}.bb-spinner.large .bb-spinner-loader,.bb-spinner.large .bb-spinner-loader:after{height:100px;min-height:100px;min-width:100px;width:100px}.bb-spinner.large .bb-spinner-loader{border-width:6px}.bb-spinner.large .bb-spinner-content{font-size:20px}.bb-spinner.horizontal{flex-direction:row;text-align:left}.bb-spinner.horizontal .bb-spinner-content:not(:empty){margin-left:10px;margin-top:0}.bb-spinner.vertical{flex-direction:column;text-align:center}.bb-spinner.vertical .bb-spinner-content:not(:empty){margin-left:0;margin-top:10px}.bb-spinner-container{display:flex;position:relative}.bb-spinner-container>img{height:60%;left:20%;position:absolute;top:20%;width:60%}.bb-spinner-loader{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite;border:4px solid #f2f4f6;color:transparent;display:inline-block;margin:0;overflow:hidden;padding:0;position:relative;text-indent:100%;vertical-align:middle}.bb-spinner-loader,.bb-spinner-loader:after{border-radius:50%;height:60px;min-height:60px;min-width:60px;width:60px}.bb-spinner-loader.disabled{-moz-user-select:none;-ms-user-select:none;-webkit-animation-play-state:paused;-webkit-user-select:none;animation-play-state:paused;cursor:default;pointer-events:none;user-select:none}.bb-spinner-content:not(:empty){font-size:16px;font-weight:500;margin-top:10px}@-webkit-keyframes spin{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}@keyframes spin{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}"]
                },] }
    ];
    BbSpinner.propDecorators = {
        color: [{ type: core.Input }],
        alt: [{ type: core.Input }]
    };

    var BbFocus = /** @class */ (function () {
        function BbFocus(_zone, _platform, _elementRef) {
            this._zone = _zone;
            this._platform = _platform;
            this._elementRef = _elementRef;
        }
        Object.defineProperty(BbFocus.prototype, "nativeElement", {
            get: function () {
                return this._elementRef.nativeElement;
            },
            enumerable: false,
            configurable: true
        });
        BbFocus.prototype.ngAfterViewInit = function () {
            var _this = this;
            // Run the method outside the Angular zone.
            this._zone.runOutsideAngular(function () { return _this.focus(); });
        };
        BbFocus.prototype.focus = function () {
            var _this = this;
            // Check if set timeout exists and the user is
            // using the site on desktop devices.
            if (!this._platform.isDesktop || !setTimeout) {
                return;
            }
            // Check if the element and the focus method exist, if so focus the element.
            if (!this.nativeElement || !this.nativeElement.focus) {
                return;
            }
            // Execute the focus method in a timeout.
            setTimeout(function () { return _this.nativeElement.focus(); }, 0);
        };
        return BbFocus;
    }());
    BbFocus.decorators = [
        { type: core.Directive, args: [{
                    selector: '[bbFocus]'
                },] }
    ];
    BbFocus.ctorParameters = function () { return [
        { type: core.NgZone },
        { type: bbFoundation.Platform },
        { type: core.ElementRef }
    ]; };

    var BbFileImage = /** @class */ (function () {
        function BbFileImage(_platform, _image, _sanitizer) {
            this._platform = _platform;
            this._image = _image;
            this._sanitizer = _sanitizer;
        }
        BbFileImage.prototype.transform = function (file) {
            return __awaiter(this, void 0, void 0, function () {
                var _this = this;
                return __generator(this, function (_a) {
                    // If the file is not a file return.
                    if (!this._platform.isBrowser || !(file instanceof File)) {
                        return [2 /*return*/, null];
                    }
                    return [2 /*return*/, this._image.fileToImage(file, [
                            'image/png',
                            'image/jpeg',
                            'image/gif',
                            'image/svg+xml'
                        ]).then(function (image) {
                            if (!image) {
                                return null;
                            }
                            return {
                                background: _this._sanitizer.bypassSecurityTrustStyle("url(" + image.src + ")"),
                                aspectRatio: image.height / image.width
                            };
                        }).catch(function () {
                            return null;
                        })];
                });
            });
        };
        return BbFileImage;
    }());
    BbFileImage.decorators = [
        { type: core.Pipe, args: [{
                    name: 'bbFileImage'
                },] }
    ];
    BbFileImage.ctorParameters = function () { return [
        { type: bbFoundation.Platform },
        { type: bbFoundation.ImageConverter },
        { type: platformBrowser.DomSanitizer }
    ]; };

    var BbAvatar = /** @class */ (function () {
        function BbAvatar() {
            // Inputs.
            this.size = 40;
            // State.
            this.state$ = new rxjs.BehaviorSubject('initials');
            // Data.
            this._src = null;
            this._title = null;
            this._initials = '!';
            this._color = 'rgb(255, 255, 255)';
            this._backgroundColor = 'rgb(66, 66, 66)';
            this.toRGb = function (value) {
                var baseRed = 128;
                var baseGreen = 128;
                var baseBlue = 128;
                var seed = value.charCodeAt(0) ^ value.charCodeAt(1);
                var rand_1 = Math.abs((Math.sin(seed++) * 10000)) % 256;
                var rand_2 = Math.abs((Math.sin(seed++) * 10000)) % 256;
                var rand_3 = Math.abs((Math.sin(seed++) * 10000)) % 256;
                var r = Math.round((rand_1 + baseRed) / 2);
                var g = Math.round((rand_2 + baseGreen) / 2);
                var b = Math.round((rand_3 + baseBlue) / 2);
                return { r: r, g: g, b: b };
            };
            this.getInitials = function (name) {
                // Get all the initials.
                var names = (name || '').split(' ');
                var initials = names.map(function (name) { return name.charAt(0).toUpperCase(); });
                // Check if there are any initials.
                if (initials.length <= 0) {
                    return null;
                }
                // Get the first and last initials.
                if (initials.length > 1) {
                    return "" + initials[0] + initials[initials.length - 1];
                }
                // Get only the first initial.
                return initials[0];
            };
            this.parseColorFormat = function (value) {
                var _a;
                // Hex 3 values.
                var match = value.match(/^#([0-9a-f]{3})$/i);
                if (match && match[1]) {
                    var r = parseInt(match[1].charAt(0), 16) * 0x11;
                    var g = parseInt(match[1].charAt(1), 16) * 0x11;
                    var b = parseInt(match[1].charAt(2), 16) * 0x11;
                    return { r: r, g: g, b: b };
                }
                // Hex 6 values.
                match = value.match(/^#([0-9a-f]{6})$/i);
                if (match && match[1]) {
                    var r = parseInt(match[1].substr(0, 2), 16);
                    var g = parseInt(match[1].substr(2, 2), 16);
                    var b = parseInt(match[1].substr(4, 2), 16);
                    return { r: r, g: g, b: b };
                }
                // Rgb values.
                match = value.match(/^rgb\s*\(\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*\)$/i);
                if (match) {
                    var r = parseInt(match[1], 10);
                    var g = parseInt(match[2], 10);
                    var b = parseInt(match[3], 10);
                    return { r: r, g: g, b: b };
                }
                // Not a supported color format.
                (_a = console === null || console === void 0 ? void 0 : console.warn) === null || _a === void 0 ? void 0 : _a.call(console, "BbAvatar: Unsupported tintColor \"" + value + "\" was used.");
                return null;
            };
        }
        Object.defineProperty(BbAvatar.prototype, "src", {
            get: function () {
                return this._src;
            },
            set: function (value) {
                this._src = value;
                if (this._src) {
                    this.state$.next('image');
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbAvatar.prototype, "title", {
            get: function () {
                return this._title;
            },
            set: function (value) {
                // Set the title and the initials.
                this._title = value || '!';
                this._initials = this.getInitials(this._title);
                // Generate the colors based on the name.
                var _b = this.toRGb(this._title), r = _b.r, g = _b.g, b = _b.b;
                this.setColors(r, g, b);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbAvatar.prototype, "tintColor", {
            set: function (value) {
                var result = this.parseColorFormat(value);
                if (!result) {
                    return;
                }
                var r = result.r, g = result.g, b = result.b;
                this.setColors(r, g, b);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbAvatar.prototype, "color", {
            get: function () {
                return this._color;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbAvatar.prototype, "backgroundColor", {
            get: function () {
                return this._backgroundColor;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbAvatar.prototype, "initials", {
            get: function () {
                return this._initials;
            },
            enumerable: false,
            configurable: true
        });
        BbAvatar.prototype.setColors = function (red, green, blue) {
            this._color = "rgb(" + red + "," + green + "," + blue + ")";
            this._backgroundColor = "rgba(" + red + "," + green + "," + blue + ", 0.25)";
        };
        return BbAvatar;
    }());
    BbAvatar.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-avatar',
                    template: "<ng-container [ngSwitch]=\"state$ | async\">\n    <!-- Image. -->\n    <ng-container *ngSwitchCase=\"'image'\">\n        <img [src]=\"src\"\n             [alt]=\"initials\"\n             (error)=\"state$?.next('initials')\"\n             class=\"bb-avatar-image\">\n    </ng-container>\n\n    <!-- Default initials fallback. -->\n    <ng-container *ngSwitchDefault>\n        {{ initials }}\n    </ng-container>\n</ng-container>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: {
                        'class': 'bb-avatar',
                        'role': 'img',
                        '[style.width.px]': 'size',
                        '[style.height.px]': 'size',
                        '[style.font-size.px]': 'size / 2',
                        '[style.color]': 'color',
                        '[style.background-color]': 'backgroundColor'
                    },
                    styles: [".bb-avatar{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;align-items:center;border-radius:50%;display:inline-flex;font-size:18px;font-weight:500;justify-content:center;line-height:1;overflow:hidden;position:relative;user-select:none}.bb-avatar.rounded{border-radius:4px}.bb-avatar.square{border-radius:0}.bb-avatar-image{-o-object-fit:cover;height:100%;object-fit:cover;position:absolute;width:100%}"]
                },] }
    ];
    BbAvatar.propDecorators = {
        size: [{ type: core.Input }],
        src: [{ type: core.Input }],
        title: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.title',] }],
        tintColor: [{ type: core.Input }]
    };

    var BbFileSize = /** @class */ (function () {
        function BbFileSize() {
            this.format = function (value, decimals) {
                if (decimals === void 0) { decimals = 2; }
                if (value === 0) {
                    return '0 Bytes';
                }
                var k = 1024;
                var dm = decimals < 0 ? 0 : decimals;
                var sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
                var index = Math.floor(Math.log(value) / Math.log(k));
                return parseFloat((value / Math.pow(k, index)).toFixed(dm)) + ' ' + sizes[index];
            };
        }
        BbFileSize.prototype.transform = function (value) {
            return this.format(value);
        };
        return BbFileSize;
    }());
    BbFileSize.decorators = [
        { type: core.Pipe, args: [{
                    name: 'bbFileSize'
                },] }
    ];

    var BbIcon = /** @class */ (function () {
        function BbIcon(_registry) {
            this._registry = _registry;
            // Data.
            this._src = null;
            // State.
            this.state$ = new rxjs.BehaviorSubject(null);
            this.alt = null;
            this.size = 24;
            this._ariaHidden = true;
            this.warn = function (content) {
                return console && console.warn && console.warn(content);
            };
        }
        Object.defineProperty(BbIcon.prototype, "src", {
            get: function () {
                return this._src;
            },
            set: function (newValue) {
                this.state$.next(this.convert(newValue));
                this._src = newValue;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(BbIcon.prototype, "ariaHidden", {
            get: function () {
                return this._ariaHidden;
            },
            set: function (newValue) {
                this._ariaHidden = bbFoundation.coerceBooleanProperty(newValue);
            },
            enumerable: false,
            configurable: true
        });
        BbIcon.prototype.convert = function (src) {
            var _this = this;
            var _a = __read((src || '').split(':'), 2), namespace = _a[0], value = _a[1];
            var onError = function () {
                _this.warn("ElementsModule: The icon with src \"" + src + "\" could not be rendered correctly; Did you put a correct src attribute?");
                return { type: 'unknown' };
            };
            if (!namespace || !value || !this._registry) {
                return onError();
            }
            // Try to find a image icon.
            var imageIcon = this.findImageIcon(namespace, value);
            if (imageIcon) {
                return imageIcon;
            }
            // Try to find a font icon.
            var fontIcon = this.findFontIcon(namespace, value);
            if (fontIcon) {
                return fontIcon;
            }
            // Return the on error function.
            return onError();
        };
        BbIcon.prototype.findImageIcon = function (namespace, value) {
            var data = this._registry.find(function (item) { return item['namespace'] === namespace && item['name'] === value; });
            if (!data) {
                return null;
            }
            return { type: data['type'], src: data['src'] };
        };
        BbIcon.prototype.findFontIcon = function (namespace, content) {
            var data = this._registry.find(function (item) { return item['namespace'] === namespace; });
            if (!data) {
                return null;
            }
            var uses = data['uses'];
            if (uses === 'data-attribute') {
                return { type: data['type'], className: data['className'], attribute: content };
            }
            return { type: data['type'], className: data['className'], content: content };
        };
        return BbIcon;
    }());
    BbIcon.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-icon',
                    template: "<ng-container *ngIf=\"state$ | async as data\"\n              [ngSwitch]=\"data?.type\">\n    <i *ngSwitchCase=\"'font'\"\n       [attr.data-icon]=\"data?.attribute\"\n       [class]=\"data?.className\">\n        {{ data?.content }}\n    </i>\n    <img *ngSwitchCase=\"'image'\"\n         [src]=\"data?.src\"\n         [alt]=\"alt\">\n    <svg *ngSwitchCase=\"'unknown'\"\n         viewBox=\"0 0 1 1\">\n        <rect x=\"0\" y=\"0\" width=\"1\" height=\"1\" fill=\"#c5c5c5\"></rect>\n    </svg>\n</ng-container>\n",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    host: {
                        'class': 'bb-icon',
                        '[attr.aria-hidden]': 'ariaHidden',
                        '[style.width.px]': 'size',
                        '[style.height.px]': 'size',
                        '[style.min-width.px]': 'size',
                        '[style.min-height.px]': 'size',
                        '[style.font-size.px]': 'size'
                    },
                    preserveWhitespaces: false,
                    styles: [".bb-icon{-moz-user-select:none;-ms-user-select:none;-webkit-user-select:none;align-items:center;display:flex;justify-content:center;user-select:none}.bb-icon>i{font-size:inherit}.bb-icon>img,.bb-icon>svg{display:flex;height:100%;width:100%}"]
                },] }
    ];
    BbIcon.ctorParameters = function () { return [
        { type: Array, decorators: [{ type: core.Optional }, { type: core.Inject, args: [ELEMENTS_ICONS,] }] }
    ]; };
    BbIcon.propDecorators = {
        alt: [{ type: core.Input }],
        size: [{ type: core.Input }],
        src: [{ type: core.Input }],
        ariaHidden: [{ type: core.Input }]
    };

    var BbTag = /** @class */ (function () {
        function BbTag() {
            // Outputs.
            this.onClose = new core.EventEmitter();
        }
        return BbTag;
    }());
    BbTag.decorators = [
        { type: core.Component, args: [{
                    selector: 'bb-tag',
                    template: "<ng-content></ng-content>\n\n<button *ngIf=\"onClose?.observers?.length > 0\"\n        (click)=\"onClose.emit()\"\n        type=\"button\">\n    Close\n</button>",
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    encapsulation: core.ViewEncapsulation.None,
                    preserveWhitespaces: false,
                    host: { 'class': 'bb-tag' },
                    styles: [".bb-tag{background-color:#fafafa;border:1px solid #d9d9d9;border-radius:4px;color:rgba(0,0,0,.65);cursor:default;display:inline-block;font-feature-settings:\"tnum\";font-size:12px;font-variant:tabular-nums;line-height:20px;list-style:none;padding:0 7px;white-space:nowrap}.bb-tag:not(:last-child){margin-right:8px}"]
                },] }
    ];
    BbTag.propDecorators = {
        onClose: [{ type: core.Output }]
    };

    var DECLARATIONS_EXPORTS = [
        // Directives.
        BbTemplate,
        BbFormError,
        BbFormSubmit,
        BbInput,
        BbSelect,
        BbFocus,
        BbFocusTrap,
        BbAutosize,
        BbPrefix,
        BbSuffix,
        // Pipes.
        BbFileSize,
        BbFileImage,
        BbRelativeTime,
        // Components.
        BbButton,
        BbAnchor,
        BbSpinner,
        BbIcon,
        BbFormControl,
        BbFormGroup,
        BbCheckbox,
        BbDropdown,
        BbDropdownItem,
        BbTag,
        BbAvatar,
        BbFilePicker,
        BbImagePicker,
        BbDatePicker
    ];
    var ElementsModule = /** @class */ (function () {
        function ElementsModule() {
        }
        ElementsModule.forRoot = function () {
            return {
                ngModule: ElementsModule,
                providers: [
                    { provide: ELEMENTS_ERRORS, useFactory: getErrors, multi: true },
                    ELEMENTS_MATERIAL_ICON
                ]
            };
        };
        return ElementsModule;
    }());
    ElementsModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule, forms.ReactiveFormsModule, localize.LocalizeModule],
                    declarations: __spread(DECLARATIONS_EXPORTS),
                    exports: __spread(DECLARATIONS_EXPORTS)
                },] }
    ];
    var ɵ0 = { namespace: 'material', className: 'material-icons', uses: 'content', type: 'font' };
    var ELEMENTS_MATERIAL_ICON = {
        provide: ELEMENTS_ICONS,
        useValue: ɵ0,
        multi: true
    };
    function getErrors() {
        var data = {
            unknown: function () { return 'form-control-errors.unknown'; },
            required: function () { return 'form-control-errors.required'; },
            pattern: function () { return 'form-control-errors.pattern'; },
            email: function () { return 'form-control-errors.email'; },
            emailTaken: function () { return 'form-control-errors.emailTaken'; },
            passwordMatch: function () { return 'form-control-errors.passwordMatch'; },
            confirm: function () { return 'form-control-errors.confirm'; },
            fullNumber: function () { return 'form-control-errors.fullNumber'; },
            min: function (_a) {
                var min = _a.min;
                return ({ token: 'form-control-errors.min', data: { min: min } });
            },
            max: function (_a) {
                var max = _a.max;
                return ({ token: 'form-control-errors.max', data: { max: max } });
            },
            maxFileSize: function (_a) {
                var maxSize = _a.maxSize;
                return ({ token: 'form-control-errors.maxFileSize', data: { maxSize: maxSize } });
            },
            minDate: function (_a) {
                var date = _a.date;
                return ({ token: 'form-control-errors.minDate', data: { date: date } });
            },
            maxDate: function (_a) {
                var date = _a.date;
                return ({ token: 'form-control-errors.maxDate', data: { date: date } });
            },
            invalidDate: function () { return 'form-control-errors.invalidDate'; },
            invalidFileType: function () { return 'form-control-errors.invalidFileType'; },
            minlength: function (_a) {
                var requiredLength = _a.requiredLength, actualLength = _a.actualLength;
                return ({
                    token: 'form-control-errors.minlength',
                    data: { requiredLength: requiredLength, actualLength: actualLength }
                });
            },
            maxlength: function (_a) {
                var requiredLength = _a.requiredLength, actualLength = _a.actualLength;
                return ({
                    token: 'form-control-errors.maxlength',
                    data: { requiredLength: requiredLength, actualLength: actualLength }
                });
            }
        };
        return data;
    }

    /**
     * Generated bundle index. Do not edit.
     */

    exports.BbAnchor = BbAnchor;
    exports.BbAutosize = BbAutosize;
    exports.BbAvatar = BbAvatar;
    exports.BbButton = BbButton;
    exports.BbCheckbox = BbCheckbox;
    exports.BbDatePicker = BbDatePicker;
    exports.BbDropdown = BbDropdown;
    exports.BbDropdownItem = BbDropdownItem;
    exports.BbFileImage = BbFileImage;
    exports.BbFilePicker = BbFilePicker;
    exports.BbFileSize = BbFileSize;
    exports.BbFocus = BbFocus;
    exports.BbFocusTrap = BbFocusTrap;
    exports.BbFormControl = BbFormControl;
    exports.BbFormError = BbFormError;
    exports.BbFormGroup = BbFormGroup;
    exports.BbFormSubmit = BbFormSubmit;
    exports.BbIcon = BbIcon;
    exports.BbImagePicker = BbImagePicker;
    exports.BbInput = BbInput;
    exports.BbPrefix = BbPrefix;
    exports.BbRelativeTime = BbRelativeTime;
    exports.BbSelect = BbSelect;
    exports.BbSpinner = BbSpinner;
    exports.BbSuffix = BbSuffix;
    exports.BbTag = BbTag;
    exports.BbTemplate = BbTemplate;
    exports.ELEMENTS_ERRORS = ELEMENTS_ERRORS;
    exports.ELEMENTS_ICONS = ELEMENTS_ICONS;
    exports.ELEMENTS_MATERIAL_ICON = ELEMENTS_MATERIAL_ICON;
    exports.ElementsModule = ElementsModule;
    exports.getErrors = getErrors;
    exports.ɵ0 = ɵ0;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=bravobit-bb-foundation-elements.umd.js.map
