import { CanLoad, CanLoadConstructor, CanDisable, CanDisableConstructor } from '@bravobit/bb-foundation';
import { ElementRef } from '@angular/core';
declare class BbButtonBase {
    _elementRef: ElementRef;
    constructor(_elementRef: ElementRef);
}
declare const BbButtonMixinBase: CanDisableConstructor & CanLoadConstructor & typeof BbButtonBase;
export declare class BbButton extends BbButtonMixinBase implements CanDisable, CanLoad {
    get nativeElement(): any;
    constructor(_elementRef: ElementRef<HTMLButtonElement>);
    focus(): void;
}
export declare class BbAnchor extends BbButton {
    tabIndex: number;
    constructor(_elementRef: ElementRef);
    stopDisabledEvents(event: Event): void;
}
export {};
