import { CanDisable, CanDisableConstructor, IsGrouped, IsGroupedConstructor } from '@bravobit/bb-foundation';
import { ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
declare class BbCheckboxBase {
}
declare const BbCheckboxMixinBase: IsGroupedConstructor & CanDisableConstructor & typeof BbCheckboxBase;
export declare class BbCheckbox extends BbCheckboxMixinBase implements ControlValueAccessor, IsGrouped, CanDisable {
    private _changeDetection;
    labelId: string;
    tabIndex: number;
    get checked(): any;
    set checked(value: any);
    private _checked;
    constructor(_changeDetection: ChangeDetectorRef);
    onChange: (newValue: boolean) => void;
    onTouched: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(newValue: boolean): void;
    onInteractionEvent(event: Event): void;
    onInputClick(event: Event): void;
}
export {};
