/// <reference types="grecaptcha" />
import { RendererFactory2 } from '@angular/core';
import { RecaptchaConfig } from './recaptcha.interface';
import { Platform } from '@bravobit/bb-foundation';
import { BehaviorSubject } from 'rxjs';
export declare class RecaptchaLoader {
    private _platform;
    private _renderFactory;
    private _document?;
    private _config?;
    readonly ready$: BehaviorSubject<ReCaptchaV2.ReCaptcha | null> | null;
    private readonly _windowLoadFn;
    private readonly _renderer;
    constructor(_platform: Platform, _renderFactory: RendererFactory2, _document?: any, _config?: RecaptchaConfig);
    private createScript;
    private getUrl;
    private getQueryParams;
}
